<?php
  /**
   * Process.php
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: process.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  define("_VALID_PHP", true);
  
  require_once("../init.php");
  if (!$session->isAdmin())
  redirect_to("login.php");
?>
<?php
  /* Delete Banner Sizes */
  if (isset($_POST['deleteBannerSize']))
      : if (intval($_POST['deleteBannerSize']) == 0 || empty($_POST['deleteBannerSize']))
      : redirect_to("../settings.php?do=bannersize");
  endif;
  
  $id = intval($_POST['deleteBannerSize']);
  $bannerrow = $setup->getBannerSizeById($id);
  
  $db->delete("banner_sizes", "id='" . $id . "'");
  @unlink(BMPATH . 'uploads/bannersize/'.$bannerrow['default_banner']);
  
  endif;
?>
<?php
  /* Delete Banned Site */
  if (isset($_POST['deleteBannedSite']))
      : if (intval($_POST['deleteBannedSite']) == 0 || empty($_POST['deleteBannedSite']))
      : redirect_to("../settings.php?do=bannedsite");
  endif;
  
  $id = intval($_POST['deleteBannedSite']);
  $db->delete("banned_sites", "id='" . $id . "'");
  
  endif;

  /* Update Banned Site */
  if (isset($_POST['siteName']))
      : if (intval($_POST['siteid']) == 0 || empty($_POST['siteid']))
      : redirect_to("../settings.php?do=bannedsite");
  endif;
  
  $id = sanitize($_POST['siteid']);
  $data['name'] = sanitize($_POST['siteName']);
  
  $db->update("banned_sites", $data, "id='" . (int)$id . "'");
  
  endif;
?>
<?php
  /* Update Category Order */
  if (isset($_POST['update_order']) && $_POST['update_order'] == 1)
      : foreach ($_POST['position'] as $id => $order)
      : $data['position'] = intval($order);
  $db->update("categories", $data, "id='" . (int)$id . "'");
  endforeach;
  redirect_to($_SERVER['HTTP_REFERER']);
  endif;

  /* Delete Category */
  if (isset($_POST['deleteCategory']))
      : if (intval($_POST['deleteCategory']) == 0 || empty($_POST['deleteCategory']))
      : redirect_to("../categories.php?do=category");
  endif;
  
  $id = intval($_POST['deleteCategory']);
  $db->delete("categories", "id='" . $id . "'");
  $db->delete("categories", "parent_id='" . $id . "'");
  
  endif;
?>
<?php
  /* Delete Campaign */
  if (isset($_POST['deleteCampaign']))
      : if (intval($_POST['deleteCampaign']) == 0 || empty($_POST['deleteCampaign']))
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deleteCampaign']);
  
  $db->delete("campaigns", "id='" . $id . "'");
  $db->delete("ads", "campaign_id='" . $id . "'");
  
  endif;
?>
<?php
  /* Delete Campaign Banner */
  if (isset($_POST['deleteCampaignBanner']))
      : if (intval($_POST['deleteCampaignBanner']) == 0 || empty($_POST['deleteCampaignBanner']))
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deleteCampaignBanner']);
  $bannerimg = getValue("bannerurl", "ads", "id = ".$id);
  
  $db->delete("ads", "id='" . $id . "'");
  @unlink(BMPATH . 'uploads/banners/'.$bannerimg);
  
  endif;
?>
<?php
  /* Update Plan Impressions */
  if (isset($_POST['planName']))
      : if (intval($_POST['planid']) == 0 || empty($_POST['planid']))
      : redirect_to("../campaigns.php?do=plan");
  endif;
  
  $id = sanitize($_POST['planid']);
  $data['credits'] = sanitize($_POST['planName']);
  $db->update("plans", $data, "id='" . (int)$id . "'");
  
  endif;

  /* Update Plan Price */
  if (isset($_POST['priceName']))
      : if (intval($_POST['priceid']) == 0 || empty($_POST['priceid']))
      : redirect_to("../campaigns.php?do=plan");
  endif;
  
  $id = sanitize($_POST['priceid']);
  $data['price'] = sanitize($_POST['priceName']);
  
  $db->update("plans", $data, "id='" . (int)$id . "'");
  
  endif;
  
  /* Delete Plan */
  if (isset($_POST['deletePlan']))
      : if (intval($_POST['deletePlan']) == 0 || empty($_POST['deletePlan']))
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deletePlan']);
  
  $db->delete("plans", "id='" . $id . "'");
  
  endif;
?>
<?php
  /* Delete Transaction */
  if (isset($_POST['deleteTransaction']))
      : if (intval($_POST['deleteTransaction']) == 0 || empty($_POST['deleteTransaction']))
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deleteTransaction']);
  
  $db->delete("transactions", "id='" . $id . "'");
  
  endif;
?>
<?php
  /* Delete User */
  if (isset($_POST['deleteUser']))
      : if (intval($_POST['deleteUser']) == 0 || empty($_POST['deleteUser']) || intval($_POST['deleteUser']) == 1)
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deleteUser']);
  
  $db->delete("users", "id='" . $id . "'");
  
  endif;
?>
<?php
  /* Check Username*/
  if (isset($_POST['username']) && !empty($_POST['username']))
      : $username = sanitize($_POST['username']);
  
  $sql = $db->query("SELECT username FROM users WHERE username = '" . $db->escape($username) . "'");
  
  if ($db->numrows($sql) == 1)
      : echo '<div class="msgAlert"><span>Alert!</span>Username Taken</div>';
  else
      : echo '<div class="msgOk"><span>Success!</span>Username Available</div>';
  endif;
  
  endif;
?>
<?php
  /* Approval Campaign Actions */
  if (isset($_POST['camp_actions']) && $_POST['camp_actions'] == 1)
      : if (empty($_POST['checkbox']) or $_POST['action'] == "NA")
      : redirect_to("../campaigns.php?do=approval");
  endif;
  
  $action = sanitize($_POST['action']);
  
  if (!empty($_POST['checkbox']))
      : foreach ($_POST['checkbox'] as $val)
      : $id = intval($val);
  
  require_once(BMPATH . "lib/class_campaigns.php");
  $cmp = new Campaign();
  $row = $cmp->getCampaignById($id);
  $user = $session->getUserById($row['user_id']);
  
  if ($action == "delete")
      : $db->delete("campaigns", "id='" . $id . "'");
  
  if ($db->affected())
      : redirect_to("../campaigns.php?do=approval&deleted=1");
  endif;
  elseif ($action == "approve")
      : require_once(BMPATH . "lib/class_mailer.php");
  
  $mail_template = $setup->getEmailTemplateById(3);
  
  $body = str_replace(array('[CAMPAIGN_NAME]', '[SITE_NAME]', '[URL]', '[NAME]'), array($row['name'], $setup->set['site_name'], $setup->set['site_url'], $user['name']), $mail_template['body']);
  
  $mail = $mailer->sendMail($user['email'], $mail_template['subject'], $body);
  
  if ($mail)
      : $data['active'] = 1;
  $db->update("campaigns", $data, "id='" . $id . "'");
  redirect_to("../campaigns.php?do=approval&approved=1");
  endif;
  elseif ($action == "disapprove")
      : require_once(BMPATH . "lib/class_mailer.php");
  
  $mail_template = $setup->getEmailTemplateById(4);
  
  $body = str_replace(array('[CAMPAIGN_NAME]', '[SITE_NAME]', '[URL]', '[NAME]'), array($row['name'], $setup->set['site_name'], $setup->set['site_url'], $user['name']), $mail_template['body']);
  
  $mail = $mailer->sendMail($user['email'], $mail_template['subject'], $body);
  if ($mail)
      redirect_to("../campaigns.php?do=approval&disapproved=1");
  
  endif;
  endforeach;
  
  endif;
  endif;
?>
<?php
  /* Approval Banner Actions */
  if (isset($_POST['ads_actions']) && $_POST['ads_actions'] == 1)
      : if (empty($_POST['checkbox']) or $_POST['action'] == "NA")
      : redirect_to("../campaigns.php?do=approval&type=banners");
  endif;
  
  $action = sanitize($_POST['action']);
  
  if (!empty($_POST['checkbox']))
      : foreach ($_POST['checkbox'] as $val)
      : $id = intval($val);
  
  require_once(BMPATH . "lib/class_campaigns.php");
  $cmp = new Campaign();
  $row = $cmp->getAdsById($id);
  $camp = $cmp->getCampaignById($row['campaign_id']);
  $user = $session->getUserById($camp['user_id']);
  
  if ($action == "delete")
      : $db->delete("ads", "id='" . $id . "'");
  
  if ($db->affected())
      : redirect_to("../campaigns.php?do=approval&type=banners&deleted=1");
  endif;
  elseif ($action == "approve")
      : require_once(BMPATH . "lib/class_mailer.php");
  
  $mail_template = $setup->getEmailTemplateById(5);
  
  $body = str_replace(array('[CAMPAIGN_NAME]', '[BANNER]', '[SITE_NAME]', '[URL]', '[NAME]'), array($camp['name'], $id, $setup->set['site_name'], $setup->set['site_url'], $user['name']), $mail_template['body']);
  
  $mail = $mailer->sendMail($user['email'], $mail_template['subject'], $body);
  
  if ($mail)
      : $data['active'] = 1;
  $db->update("ads", $data, "id='" . $id . "'");
  redirect_to("../campaigns.php?do=approval&type=banners&approved=1");
  endif;
  elseif ($action == "disapprove")
      : require_once(BMPATH . "lib/class_mailer.php");
  
  $mail_template = $setup->getEmailTemplateById(6);
  
  $body = str_replace(array('[CAMPAIGN_NAME]', '[BANNER]', '[SITE_NAME]', '[URL]', '[NAME]'), array($camp['name'], $id, $setup->set['site_name'], $setup->set['site_url'], $user['name']), $mail_template['body']);
  
  $mail = $mailer->sendMail($user['email'], $mail_template['subject'], $body);
  if ($mail)
      redirect_to("../campaigns.php?do=approval&type=banners&disapproved=1");
  
  endif;
  endforeach;
  
  endif;
  endif;
?>