<?php
  /**
   * Campaigns
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: campaigns.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  define("_VALID_PHP", true);
  
  require_once("init.php");
  if (!$session->isAdmin())
      redirect_to("login.php");
?>
<?php include("header.php");?>
<div id="content">
  <div class="wrap">
<?php
  if (get('do'))
      : $do = sanitize($_GET['do']);
  require_once(BMPATH . "lib/class_campaigns.php");
  $cmp = new Campaign();
  require_once(BMPATH . "lib/class_categories.php");
  $cat = new Category();
  switch ($do)
      : default:
      if (isset($_GET['shifted']) && $_GET['shifted'] == 1)
          $msgOk = "<span>Success!</span>Campaigns have been shifted successfully!";
  
  if (isset($_GET['added']) && $_GET['added'] == 1)
      $msgOk = "<span>Success!</span>New Campaign added successfully!";
  
  $search = (isset($_POST['search'])) ? $_POST['search'] : false;
  $letter = (isset($_GET['letter'])) ? $_GET['letter'] : false;
  $catid = (isset($_GET['catid'])) ? $_GET['catid'] : false;
  $user_id = (isset($_GET['user_id'])) ? $_GET['user_id'] : false;
  $sort = (isset($_GET['sort'])) ? str_replace("-", " ", $_GET['sort']) : false;
  
  $campaign = $cmp->getCampaigns($search, $letter, $sort, $catid, $user_id);
  include("inc/campaign.php");
  break;
  
  case "stats":
      include("inc/stats.php");
      break;
      
  case "ads":
      include("inc/ads.php");
      break;
      
  case "impressions":
      if (isset($_GET['transfer']) && $_GET['transfer'] == 1)
          $msgOk = "<span>Success!</span>Credits have been transfered successfully!";
  $user_id = (isset($_GET['id'])) ? $_GET['id'] : false;
  $improw = $cmp->getCampaignByUserId($user_id);
      include("inc/impressions.php");
      break;
      
  case "plan":
      $planrow = $cmp->getCampaignPlans();
      include("inc/plans.php");
      break;
      
  case "approval":
      if (isset($_GET['deleted']) && $_GET['deleted'] == 1)
          $msgOk = "<span>Success!</span>Campaign(s) have been deleted successfully!";
      if (isset($_GET['approved']) && $_GET['approved'] == 1)
          $msgOk = "<span>Success!</span>Campaign(s) have been approved successfully!";
      if (isset($_GET['disapproved']) && $_GET['disapproved'] == 1)
          $msgOk = "<span>Success!</span>Campaign(s) have been disapproved successfully!";
      
	  if (get('type') && $_GET['type'] == "banners"): 
      if (isset($_GET['deleted']) && $_GET['deleted'] == 1)
          $msgOk = "<span>Success!</span>Banner(s) have been deleted successfully!";
      if (isset($_GET['approved']) && $_GET['approved'] == 1)
          $msgOk = "<span>Success!</span>Banner(s) have been approved successfully!";
      if (isset($_GET['disapproved']) && $_GET['disapproved'] == 1)
          $msgOk = "<span>Success!</span>Banner(s) have been disapproved successfully!";
      endif;
      $camprow = $cmp->getInactiveCampaigns();
      include("inc/approval.php");
      break;
      
  case "transactions":
      if (isset($_GET['added']) && $_GET['added'] == 1)
          $msgOk = "<span>Success!</span>New Transaction added successfully!";
      
      $search = (isset($_POST['search'])) ? $_POST['search'] : false;
      $user_id = (isset($_GET['user_id'])) ? $_GET['user_id'] : false;
      $transrow = $cmp->getTransactions($search, $user_id);
      include("inc/transactions.php");
      break;
      
      endswitch;
      endif;
?>
  </div>
</div>
<?php include("footer.php");?>