<?php
  /**
   * Banned Sites
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: bannedsite.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(isset($_POST['submit'])):?>
<?php $setup->addBannedSite();?>
<?php endif;?>
<h1><span>System Setup</span> &rsaquo; Banned Websites</h1>
<p class="info">Here you can manage your banned websites.<br />Click on website name to edit.</p>
<?php display_msg (); ?>
<div class="inner">
<table cellpadding="0" cellspacing="0" class="box">
  <thead>
    <tr>
      <td colspan="3">Manage Banned Websites</td>
    </tr>
  </thead>
  <tr>
    <th width="20">#</th>
    <th width="400">Website Name</th>
    <th class="right">Actions</th>
  </tr>
  <tfoot>
    <tr>
      <td colspan="3"><form action="" method="post" id="admin_form" name="admin_form">
          <strong>Add Site Name:</strong>
          <input name="name" type="text" class="inputbox" size="40" id="name" />
          <input name="submit" type="submit" value="Submit" class="button"/> <?php echo tooltip("add website address as yahoo.com NOT as www.yahoo.com");?>
          <input name="add_bannedsite" type="hidden" value="1" />
        </form></td>
    </tr>
  </tfoot>
  <tbody>
    <?php if($sites == 0):?>
    <tr>
      <td colspan="3"><div class="msgAlert"><span>Alert!</span>You don't have any banned websites yet...</div></td>
    </tr>
    <?php else:?>
    <?php foreach ($sites as $row):?>
    <tr id ="rowid-<?php echo $row['id'];?>">
      <td><?php echo $row['id'];?>.</td>
      <td><span id="list-<?php echo $row['id'];?>"><?php echo $row['name'];?></span><img src="images/edit-sml.png" alt="Edit" /></td>
      <td class="right"><a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Banned Website: <?php echo $row['name'];?>" /></a></td>
    </tr>
    <?php endforeach;?>
    <?php unset($row);?>
    <?php endif;?>
  </tbody>
</table>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete")) {
            e.preventDefault();
            var parent = $(this).parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deleteBannedSite=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
});
$("[id^=list-]").editable({
	type: 'text',
	submitBy: 'blur',
	onSubmit: function(content) {
		$.post("ajax/process.php", {
			siteName: content.current,
			siteid: $(this).attr("id").replace('list-', '')
		})
	}
});
<?php if(get('id')):?>
$('#rowid-' + <?php echo get('id');?>).effect("highlight", {}, 8000);
<?php endif;?>
// ]]>
</script>