<?php
  /**
   * Campaign
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: campaign.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(get("action") && get('action') == "edit"):?>
<?php $id = $_GET['id'];?>
<?php $row = $cmp->getCampaignById($id);?>
<?php $catlist = $cat->getAdminCatList('', 0);?>
<?php if(isset($_POST['submit'])):?>
<?php $cmp->updateCampaign($id);?>
<?php endif;?>
<h1><span>Campaign Management</span> &rsaquo; Edit Campaign</h1>
<p class="info">Here you can edit your campaigns. Fields marked <?php required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
<form action="" method="post" id="itemList" name="itemList">
    <table cellpadding="0" cellspacing="0" class="box">
      <thead>
        <tr>
          <td colspan="4">Editing Campaign <?php echo $row['name'];?></td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="2"><input name="submit" type="submit" value="Update Campaign"  class="button"/>
            <input name="cancel" type="button" value="Cancel"  class="button-alt" onclick="window.location='campaigns.php?do=campaign';"/></td>
        </tr>
      </tfoot>
      <tr>
        <td width="200"><strong>Campaign Name:</strong></td>
        <td><input name="name" type="text" size="40" class="inputbox" value="<?php echo $row['name'];?>" /><?php echo required();?></td>
      </tr>
      <tr>
        <td><strong>Destination URL:</strong></td>
        <td><input name="site_url" type="text" size="40" class="inputbox" value="<?php echo $row['site_url'];?>" /><?php echo required().tooltip("Destination URL should include http://www. eg. http://www.domain.com ");?></td>
      </tr>
      <tr>
        <td><strong>Category:</strong></td>
        <td>
        <select name="cat_id" class="select" style="width:200px">
        <option value="0">Select a Category</option>
        <?php foreach ($catlist as $list):?>
        <?php $total = countEntries("campaigns", "cat_id",$list["id"]);?>
        <?php $sel = ($list['id'] == $row['cat_id']) ? "selected=\"selected\"" : "";?>
        <option value="<?php echo $list["id"];?>" <?php echo $sel;?>><?php echo $list["name"].'('.$total.')';?></option>
        <?php endforeach;?>
        <?php unset($list);?>
      </select><?php echo required();?>
        </td>
      </tr>
      <tr>
        <td><strong>Start Receiving Traffic</strong>:</td>
        <td><input name="receive" type="radio" value="1" <?php if ($row['receive'] == 1) echo "checked=\"checked\""; ?> />
          Yes
          &nbsp;&nbsp;
          <input name="receive" type="radio" value="0" <?php if ($row['receive'] == 0) echo "checked=\"checked\""; ?> />
          No</td>
      </tr>
    </table>
    <input name="update_campaign" type="hidden" value="1" />
  </form>
</div>
<?php elseif(get("action") && get('action') == "add"):?>
<?php $catlist = $cat->getAdminCatList('', 0);?>
<?php $bannersize = $setup->getBannerSizes();?>
<?php $userlist = $cmp->getUserList();?>
<?php if(isset($_POST['submit'])):?>
<?php $cmp->addCampaign();?>
<?php endif;?>
<h1><span>Campaign Management</span> &rsaquo; Add Campaign</h1>
<p class="info">Here you can edit your campaigns. Fields marked <?php required();?> are required</p>
<?php display_msg (); ?>
<div class="inner">
<form action="" method="post" id="itemList" name="itemList" enctype="multipart/form-data">
    <table cellpadding="0" cellspacing="0" class="box">
      <thead>
        <tr>
          <td colspan="4">Adding Campaign</td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="2"><input name="submit" type="submit" value="Add Campaign"  class="button"/>
            <input name="cancel" type="button" value="Cancel"  class="button-alt" onclick="window.location='campaigns.php?do=campaign';"/></td>
        </tr>
      </tfoot>
      <tr>
        <td width="200"><strong>Campaign Name:</strong></td>
        <td><input name="name" type="text" size="40" class="inputbox" /><?php echo required();?></td>
      </tr>
      <tr>
        <td><strong>Destination URL:</strong></td>
        <td><input name="site_url" type="text" size="40" class="inputbox" /><?php echo required().tooltip("Destination URL should include http://www. eg. http://www.domain.com ");?></td>
      </tr>
      <tr>
        <td><strong>Category:</strong></td>
        <td>
        <select name="cat_id" class="select" style="width:200px">
        <option value="0">Select a Category</option>
        <?php foreach ($catlist as $list):?>
        <?php $total = countEntries("campaigns", "cat_id",$list["id"]);?>
        <option value="<?php echo $list["id"];?>"><?php echo $list["name"].'('.$total.')';?></option>
        <?php endforeach;?>
        <?php unset($list);?>
      </select><?php echo required();?>        </td>
      </tr>
      <tr>
        <td><strong>Username:</strong></td>
        <td><select name="user_id" class="select" style="width:200px">
          <option value="0">Select a Username</option>
          <?php foreach ($userlist as $ulist):?>
          <option value="<?php echo $ulist["id"];?>"><?php echo $ulist["username"].'('.$ulist["email"].')';?></option>
          <?php endforeach;?>
          <?php unset($ulist);?>
        </select></td>
      </tr>
      <tr>
        <td><strong>Start Receiving Traffic</strong>:</td>
        <td><input name="receive" type="radio" value="1" checked="checked" />
          Yes
          &nbsp;&nbsp;
          <input name="receive" type="radio" value="0" />
          No</td>
      </tr>
      <tr>
        <td><strong>Banner Image:</strong></td>
        <td><input name="banner" type="file" size="35" class="inputbox" /></td>
      </tr>
      <tr>
        <td><strong>Banner Type:</strong></td>
        <td><select name="type" class="select" style="width:150px">
          <option value="image">Image(.jpg/.gif)</option>
          <option value="flash">Flash(.swf)</option>
        </select></td>
      </tr>
      <tr>
        <td><strong>Banner Size:</strong></td>
        <td><select name="size_id" class="select" style="width:150px">
          <?php foreach ($bannersize as $row):?>
          <option value="<?php echo $row['id'];?>"><?php echo $row["width"]."x".$row["height"] ;?></option>
          <?php endforeach;?>
          <?php unset($row);?>
        </select></td>
      </tr>
      <tr>
        <td><strong>Banner Weight:</strong></td>
        <td><select name="weight" class="select" style="width:60px">
          <option value="10">10</option>
          <option value="20">20</option>
          <option value="30">30</option>
          <option value="40">40</option>
          <option value="50">50</option>
        </select></td>
      </tr>
    </table>
    <input name="add_campaign" type="hidden" value="1" />
  </form>
</div>
<?php else:?>
<?php $user = $cmp->getUserListById($user_id);?>
<?php $cmp->setActiveInactive("campaigns", "campaigns.php?do=campaign");?>
<h1><span>Campaign Management</span> &rsaquo; View Campaigns</h1>
<p class="info">Here you can manage your campaigns.</p>
<?php display_msg (); ?>
<div class="inner">
  <div class="utility">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="padding-bottom:5px"><form action="" method="post">
          <input name="search" type="text" class="inputbox"  onfocus="if(this.value=='Search Campaign...'){this.value=''};" onblur="if(this.value==''){this.value='Search Campaign...'};" value="Search Campaign..." size="35"/>
            <input name="submit" type="submit" class="button" value="Search" />
          </form></td>
        <td><form action="" method="post" id="sForm">
            <strong>Sort Filter:&nbsp;</strong>
          <select onchange="if(this.value!='NA') window.location = 'campaigns.php?do=campaign&amp;sort='+this[this.selectedIndex].value; else window.location = 'campaigns.php?do=campaign';" class="select">
              <option value="NA">-- Reset Campaign Filter --</option>
              <?php echo $cmp->getCampaignFilter();?>
          </select>
          </form></td>
        <td align="right"><?php echo $pager->items_per_page();?></td>
      </tr>
      <?php if(!$user_id && !$catid):?>
      <tr>
        <td colspan="3" class="border" style="padding-top:5px"><?php echo abc('campaigns.php?do=campaign'); ?></td>
      </tr>
      <?php endif;?>
    </table>
  </div>
<table cellpadding="0" cellspacing="0" class="box">
  <thead>
    <tr>
      <td colspan="2"><?php echo($user_id) ? "All Campaigns for &rsaquo; ".$user['username'] : "Manage Campaigns" ;?></td>
      <td class="right" style="background-image:none"><a href="campaigns.php?do=campaign&amp;action=add" class="button">Add New Campaign</a></td>
    </tr>
  </thead>
  <tr>
    <th width="20">#</th>
    <th width="250">Campaign Name</th>
    <th class="right">Actions</th>
  </tr>
  <tfoot>
    <tr>
      <td colspan="3"><div class="pagination"><?php echo $pager->display_pages();?></div></td>
    </tr>
  </tfoot>
  <tbody>
    <?php if($campaign == 0):?>
    <tr>
      <td colspan="3"><div class="msgAlert"><span>Alert!</span>You don't have any campaigns yet...</div></td>
    </tr>
    <?php else:?>
    <?php foreach ($campaign as $row):?>
    <tr>
      <td valign="top"><?php echo $row['id'];?>.</td>
      <td valign="top"  colspan="2" class="none">
      <table width="100%" border="0" cellpadding="0" cellspacing="0" class="dotted">
          <tr>
            <td colspan="8"><strong><?php echo $row['name'];?></strong> <small>Started <?php echo $row['started'];?> by: <?php echo $row['username'];?></small></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><strong>Impressions</strong></td>
            <td>&nbsp;</td>
            <td><strong>Clicks</strong></td>
            <td>&nbsp;</td>
            <td><strong>Ratio</strong></td>
            <td>&nbsp;</td>
            <td rowspan="5" valign="top" class="right">
            <?php $status = ($row['active'] == 0) ? 1:0;?>
            <?php $image = ($row['active'] == 0) ? "inactive":"active";?>
            <?php $set = ($row['active'] == 0) ? "Inactive":"Active";?>
            <a href="campaigns.php?do=campaign&amp;publish=<?php echo $status;?>&amp;id=<?php echo $row['id'];?>"> <img src="images/<?php echo $image;?>.png" class="tooltip" title="Status <?php echo $set;?>" /></a> <a href="campaigns.php?do=campaign&amp;action=edit&amp;id=<?php echo $row['id'];?>"><img src="images/edit.png" title="Edit Campaign"/></a> <a href="campaigns.php?do=ads&amp;campaign_id=<?php echo $row['id'];?>"><img src="images/banner.png" title="Edit Banners"/></a> <a href="campaigns.php?do=stats&amp;id=<?php echo $row['id'];?>"><img src="images/stats.png" title="View Statistics"/></a> <a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Campaign" /></a></td>
          </tr>
          <tr>
            <td><strong>Generated:</strong></td>
            <td><?php echo $row["displays_gen"]; ?></td>
            <td>&nbsp;</td>
            <td><?php echo $row["clicks_gen"]; ?></td>
            <td>&nbsp;</td>
            <td><?php echo ($row["clicks_gen"]== 0) ? $setup->set["null_char"] : "1:" . round($row["displays_gen"]/$row["clicks_gen"]);?></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td><strong>Received:</strong></td>
            <td><?php echo $row["displays_rec"]; ?></td>
            <td>&nbsp;</td>
            <td><?php echo $row["clicks_rec"]; ?></td>
            <td>&nbsp;</td>
            <td><?php echo ($row["clicks_rec"]==0) ? $setup->set["null_char"] :"1:" . round($row["displays_rec"]/$row["clicks_rec"]);?></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><strong>Earned</strong></td>
            <td><strong>Spent</strong></td>
            <td>&nbsp;</td>
            <td><strong>Transferred To/From</strong></td>
            <td>&nbsp;</td>
            <td><strong>Total</strong></td>
          </tr>
          <tr>
            <td><strong>Credits</strong>:</td>
            <td><?php echo round($row["displays_gen"] / $setup->set["ratio1"] * $setup->set["ratio2"]) + $setup->set["click_reward"] * $row["clicks_gen"];?></td>
            <td><?php echo $row["displays_rec"]; ?></td>
            <td>&nbsp;</td>
            <td><?php echo ($row["credits"] >= 0) ? $row["credits"] : "<span class=\"red\">".$row["credits"]."</span>";?></td>
            <td>&nbsp;</td>
            <td><?php echo (round($row["displays_gen"] / $setup->set["ratio1"] * $setup->set["ratio2"]) + $setup->set["click_reward"] * $row["clicks_gen"]) - ($row["displays_rec"]) + ($row["credits"]);?></td>
          </tr>
          <tr>
            <td colspan="4" class="orange"><?php echo countEntries("ads","campaign_id",$row['id']);?> banner(s)</td>
            <td colspan="4" align="right" class="orange">Traffic <?php echo ($row["receive"]==1) ? "Enabled" : "Disabled";?></td>
          </tr>
      </table></td>
    </tr>
    <?php endforeach;?>
    <?php unset($row);?>
    <?php endif;?>
  </tbody>
</table>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete")) {
            e.preventDefault();
            var parent = $(this).parent().parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deleteCampaign=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
});
// ]]>
</script>
<?php endif;?>