<?php
  /**
   * Category
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: category.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(get("action") && get('action') == "edit"):?>
<?php $id = $_GET['id'];?>
<?php $row = $cat->getCategoryById($id);?>
<?php $parent_id = (get('parent_id')) ? $_GET['parent_id'] : 0;?>
<?php if(isset($_POST['submit'])):?>
<?php $cat->updateCategory($id);?>
<?php endif;?>

<h1><span>Edit</span> Categories</h1>
<p class="info">Here you can update your category settings. Fields marked <?php echo required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
  <form action="" method="post" id="admin_form" name="admin_form">
    <table cellspacing="0" cellpadding="0" class="box">
      <thead>
        <tr>
          <td colspan="2">Editing Category &rsaquo; <?php echo $row['name'];?></td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="4"><input name="submit" type="submit" value="Update Category"  class="button"/>
            <input name="cancel" type="button" value="Cancel"  class="button-alt" onclick="window.location='categories.php?do=category';"/></td>
        </tr>
      </tfoot>
      <tbody>
        <tr>
          <td width="180"><strong>Category Name:</strong></td>
          <td><input name="name" type="text"  class="inputbox" value="<?php echo $row['name'];?>" size="45" />
            <?php echo required();?></td>
        </tr>
        <tr>
          <td><strong>Parent Category:</strong></td>
          <td><?php $catname = getValue("name", "categories", "id=$parent_id");?>
            This category belongs to <?php echo ($parent_id == 0) ? '<strong>Root Category</strong>' : '<strong>'.$catname.'</strong>' ;?></td>
        </tr>
        <tr>
          <td><strong>Category Position:</strong></td>
          <td><input name="position" type="text"  class="inputbox" value="<?php echo $row['position'];?>" size="5" />
            <?php echo tooltip("All categories are sorted alphabetically but you can override this by using a position.<br />The lower the position the sooner the category will appear.");?></td>
        </tr>
      </tbody>
    </table>
    <input name="update_cat" type="hidden" value="1" />
  </form>
</div>
<?php elseif(get("action") && get('action') == "add"):?>
<?php $parent_id = (get('parent_id')) ? $_GET['parent_id'] : 0;?>
<?php if(isset($_POST['submit'])):?>
<?php $cat->addCategory($parent_id);?>
<?php endif;?>
<h1><span>Add</span> Category</h1>
<p class="info">Here you can add new category. Fields marked <?php echo required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
  <form action="" method="post" id="admin_form" name="admin_form">
    <table cellspacing="0" cellpadding="0" class="box">
      <thead>
        <tr>
          <td colspan="2">Adding Category</td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="4"><input name="submit" type="submit" value="Add Category"  class="button"/>
            <input name="cancel" type="button" value="Cancel"  class="button-alt" onclick="window.location='categories.php?do=category';"/></td>
        </tr>
      </tfoot>
      <tbody>
        <tr>
          <td width="180"><strong>Category Name:</strong></td>
          <td><input name="name" type="text"  class="inputbox" value="<?php echo post('name');?>" size="45" />
            <?php echo required();?></td>
        </tr>
        <tr>
          <td><strong>Category Parent:</strong></td>
          <td><?php $catname = getValue("name", "categories", "id=$parent_id");?>
            This category will be added to <?php echo ($parent_id == 0) ? '<strong>Root Category</strong>' : '<strong>'.$catname.'</strong>' ;?></td>
        </tr>
        <tr>
          <td><strong>Category Position:</strong></td>
          <td><input name="position" type="text"  class="inputbox" value="<?php echo countEntries("categories","parent_id", $parent_id)+1;?>" size="5" />
            <?php echo tooltip("All categories are sorted alphabetically but you can override this by using a position.<br />The lower the position the sooner the category will appear.");?></td>
        </tr>
      </tbody>
    </table>
    <input name="add_cat" type="hidden" value="1" />
  </form>
</div>
<?php else:?>
<?php if(isset($_POST['shift'])):?>
<?php $cat->shiftCategories();?>
<?php endif;?>
<h1><span>Category Setup</span> &rsaquo; Categories</h1>
<p class="info">Here you can manage your categories. Click on category name to access sub-categories.<br />
  <strong>Note: Deleting parent category will also delete all child categories!!!</strong></p>
<?php display_msg (); ?>
<div class="inner">
  <div class="utility"><?php echo $cat->catNavigation(get('parent_id'),'categories.php?do=category');?></div>
  <form action="ajax/process.php" method="post" id="admin_form" name="admin_form">
    <table cellpadding="0" cellspacing="0" class="box" id="cattable">
      <thead>
        <tr>
          <td colspan="3">Manage Categories</td>
          <td style="background-image:none; text-align:right"><a href="categories.php?do=category&amp;action=add&amp;parent_id=<?php echo (get('parent_id')) ? get('parent_id'): 0;?>" class="button">Add New Category</a></td>
        </tr>
      </thead>
      <tr>
        <th width="20">#</th>
        <th>Name</th>
        <th><input name="submit" type="image" src="images/save.png" title="Save Position" style="vertical-align:middle"/>
          Position</th>
        <th class="right">Actions</th>
      </tr>
      <tbody>
        <?php $totatparent = countEntries("categories","parent_id",$parent);?>
        <?php if($totatparent == 0):?>
        <?php $totatcampaign = countEntries("campaigns","cat_id",$parent);?>
        <tr>
          <td colspan="4"><div class="msgAlert"><span>Alert!</span>This Category doesn't contain any sub category.</div></td>
        </tr>
        <?php if($totatcampaign > 0):?>
        <tr>
          <td colspan="4"><div class="msgInfo"><span>Info!</span>Click <a href="campaigns.php?do=campaign&amp;catid=<?php echo get('parent_id'); ?>">here</a> (<?php echo $totatcampaign;?>) to list the campaigns in this category.</div></td>
        </tr>
        <?php endif;?>
        <?php else:?>
        <?php foreach ($catrow as $row):?>
        <tr id ="rowid-<?php echo $row['id'];?>">
          <td><?php echo $row['id'];?>.</td>
          <td><a href="categories.php?do=category&amp;parent_id=<?php echo $row['id'];?>"><strong><?php echo $row['name'];?></strong></a></td>
          <td><input name="position[<?php echo $row['id'];?>]" type="text" class="inputbox-sml" value="<?php echo $row['position'];?>" size="1" /></td>
          <td class="right"><a href="categories.php?do=category&amp;action=edit&amp;id=<?php echo $row['id'];?>&amp;parent_id=<?php echo (get('parent_id')) ? get('parent_id'): 0;?>"><img src="images/edit.png" title="Edit Category"/></a> <a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Category" /></a></td>
        </tr>
        <?php endforeach;?>
        <?php unset($row);?>
        <?php endif;?>
      </tbody>
    </table>
    <input name="update_order" type="hidden" value="1" />
  </form>
  <form action="" method="post" id="admin_form2" name="admin_form2">
    <div class="utility" style="text-align:center"> <strong>Move Listings From:</strong>&nbsp;
      <select name="move_from" class="select">
        <option value="0">Select a Category</option>
        <?php foreach ($catlist as $list):?>
        <?php $total = countEntries("campaigns", "cat_id",$list["id"]);?>
        <option value="<?php echo $list["id"];?>"><?php echo $list["name"].'('.$total.')';?></option>
        <?php endforeach;?>
        <?php unset($list);?>
      </select>
      &nbsp;&nbsp; <strong>Move Listings To:</strong>&nbsp;
      <select name="move_to" class="select">
        <option value="0">Select a Category</option>
        <?php foreach ($catlist as $list):?>
        <option value="<?php echo $list["id"];?>"><?php echo $list["name"];?></option>
        <?php endforeach;?>
        <?php unset($list);?>
      </select>
      &nbsp;&nbsp;
      <input name="shift" type="submit" class="button" value="Submit"/>
    </div>
    <input name="shift_order" type="hidden" value="1" />
  </form>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete? Deleting category will also delete all child categories!!!")) {
            e.preventDefault();
            var parent = $(this).parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deleteCategory=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
});
<?php if(get('id')):?>
$('#rowid-' + <?php echo get('id');?>).effect("highlight", {}, 8000);
<?php endif;?>
// ]]>
</script>
<?php endif;?>
