<?php
  /**
   * Campaign Plans
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: plans.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(isset($_POST['submit'])):?>
<?php $cmp->addPlan();?>
<?php endif;?>
<h1><span>Campaign Management</span> &rsaquo; Plans</h1>
<p class="info">User can purchase the impressions for displaying their Banner Ads according to the packages shown below.<br />
  if you want to add a new package of '100 impressions for $5' then enter 100 in impressions field and 5 in price field.</p>
<?php display_msg (); ?>
<div class="inner">
<table cellpadding="0" cellspacing="0" class="box">
  <thead>
    <tr>
      <td colspan="4">Manage Campaign Plans</td>
    </tr>
  </thead>
  <tr>
    <th width="20">#</th>
    <th width="200">Plan Impressions</th>
    <th width="200">Plan Price</th>
    <th class="right">Actions</th>
  </tr>
  <tfoot>
    <tr>
      <td colspan="4"><form action="" method="post" id="admin_form" name="admin_form">
          <strong>Impressions:</strong>
          <input name="credits" type="text" class="inputbox" size="5" id="credits" />
          <strong>Price:</strong>
          <input name="price" type="text" class="inputbox" size="5" id="price" />
          <input name="submit" type="submit" value="Add Plan" class="button"/>
          <input name="add_plan" type="hidden" value="1" />
        </form></td>
    </tr>
  </tfoot>
  <tbody>
    <?php if($planrow == 0):?>
    <tr>
      <td colspan="4"><div class="msgAlert"><span>Alert!</span>You don't have any plans yet...</div></td>
    </tr>
    <?php else:?>
    <?php foreach ($planrow as $row):?>
    <tr id ="rowid-<?php echo $row['id'];?>">
      <td><?php echo $row['id'];?>.</td>
      <td><span id="list-<?php echo $row['id'];?>"><?php echo $row['credits'];?></span><img src="images/edit-sml.png" alt="Edit" /></td>
      <td><?php echo $setup->set['cur_symbol'];?><span id="list2-<?php echo $row['id'];?>"><?php echo $row['price'];?></span><?php echo $setup->set['currency'];?><img src="images/edit-sml.png" alt="Edit" /></td>
      <td class="right"><a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Campaign Plan" /></a></td>
    </tr>
    <?php endforeach;?>
    <?php unset($row);?>
    <?php endif;?>
  </tbody>
</table>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete")) {
            e.preventDefault();
            var parent = $(this).parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deletePlan=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
});
$("[id^=list-]").editable({
	type: 'text',
	submitBy: 'blur',
	onSubmit: function(content) {
		$.post("ajax/process.php", {
			planName: content.current,
			planid: $(this).attr("id").replace('list-', '')
		})
	}
});
$("[id^=list2-]").editable({
	type: 'text',
	submitBy: 'blur',
	onSubmit: function(content) {
		$.post("ajax/process.php", {
			priceName: content.current,
			priceid: $(this).attr("id").replace('list2-', '')
		})
	}
});
// ]]>
</script>