<?php
  /**
   * Settings
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: settings.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(isset($_POST['submit'])):?>
<?php $setup->updateSetup();?>
<?php endif;?>
<h1><span>System Setup</span> &rsaquo; Site Properties</h1>
<p class="info">Here you can manage your site system configuration. Fields marked <?php echo required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
  <form action="" method="post" id="itemList" name="itemList">
    <table cellpadding="0" cellspacing="0" class="box">
      <thead>
        <tr>
          <td colspan="2"> General Configuration </td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="2"><input type="submit" name="submit" value="Update Site Properties"  class="button"/></td>
        </tr>
      </tfoot>
      <tr>
        <td width="200"><strong>Company Name:</strong></td>
        <td><input name="site_name" type="text"  class="inputbox" value="<?php echo $setup->set['site_name'];?>" size="45" />
          <?php echo required().tooltip("This is your company name.");?></td>
      </tr>
      <tr>
        <td><strong>Directory Url:</strong></td>
        <td><input name="site_url" type="text"  class="inputbox" value="<?php echo $setup->set['site_url'];?>" size="45" />
          <?php echo required().tooltip("Insert full URL to your install folder<br />WITHOUT any trailing slash  (e.g http://www.yourdomain.com)");?></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><?php $script_path = str_replace('/admin', '', dirname($_SERVER['SCRIPT_NAME']));?>
          http://<?php echo $_SERVER['SERVER_NAME'].$script_path;?></td>
      </tr>
      <tr>
        <td><strong>Site Email:</strong></td>
        <td><input name="site_email" type="text"  class="inputbox" value="<?php echo $setup->set['site_email'];?>" size="45" />
          <?php echo required().tooltip("This is the main email notices will be sent to. It is also used as the from 'email'<br />when emailing other automated emails.");?></td>
      </tr>
      <tr>
        <td><strong>PayPal Email Address:</strong></td>
        <td><input name="paypal_id" type="text"  class="inputbox" value="<?php echo $setup->set['paypal_id'];?>" size="45" />
          <?php echo required().tooltip("This is your PayPal email address where you'll receive your payments.");?></td>
      </tr>
      <tr>
        <td><strong>PayPal Sandbox:</strong></td>
        <td><input name="sandbox" type="radio" value="1" <?php if ($setup->set['sandbox'] == 1) echo "checked=\"checked\""; ?> />
          Yes
          &nbsp;&nbsp;
          <input name="sandbox" type="radio" value="0" <?php if ($setup->set['sandbox'] == 0) echo "checked=\"checked\""; ?> />
          No <?php echo tooltip("Select Yes for testing only, otherwise set to No for live payments");?></td>
      </tr>
      <tr>
        <td><strong>Enable Captcha:</strong></td>
        <td><input name="captcha" type="radio" value="1" <?php if ($setup->set['captcha'] == 1) echo "checked=\"checked\""; ?> />
          Yes
          &nbsp;&nbsp;
          <input name="captcha" type="radio" value="0" <?php if ($setup->set['captcha'] == 0) echo "checked=\"checked\""; ?> />
          No <?php echo tooltip("CAPTCHA (Completely Automated Public Turing test to tell Computers and Humans Apart)<br />is a technique to used to generate images with characters <br />which users need to mimic in a form field in order to submit a form. <br />This technique prevents automated scripts from posting spam. <br />This setting is recommended.");?></td>
      </tr>
      <tr>
        <td><strong>Records Per Page:</strong></td>
        <td><input name="perpage" type="text"  class="inputbox" value="<?php echo $setup->set['perpage'];?>" size="5" />
          <?php echo required().tooltip("This will control the default number of records to be shown on each page.");?></td>
      </tr>
      <tr>
        <td><strong>Require Email Verification:</strong></td>
        <td><input name="reg_verify" type="radio" value="1" <?php if ($setup->set['reg_verify'] == 1) echo "checked=\"checked\""; ?> />
          Yes
          &nbsp;&nbsp;
          <input name="reg_verify" type="radio" value="0" <?php if ($setup->set['reg_verify'] == 0) echo "checked=\"checked\""; ?> />
          No <?php echo tooltip("If Yes users will need to confirm their email address and go through activation process.");?></td>
      </tr>
      <tr>
        <td><strong>Currency PayPal:</strong></td>
        <td><input name="currency" type="text"  class="inputbox" value="<?php echo $setup->set['currency'];?>" size="3" maxlength="3" />
          <?php echo required();?></td>
      </tr>
      <tr>
        <td><strong>Currency Symbol:</strong></td>
        <td><input name="cur_symbol" type="text"  class="inputbox" value="<?php echo $setup->set['cur_symbol'];?>" size="3" maxlength="3" />
          <?php echo required();?></td>
      </tr>
      <tr>
        <td><strong>Click Rewards:</strong></td>
        <td><input name="click_reward" type="text"  class="inputbox" value="<?php echo $setup->set['click_reward'];?>" size="3" />
          <?php echo required().tooltip("This will control the number of impressions credited on every click.");?></td>
      </tr>
      <tr>
        <td><strong>Exchange Ratio:</strong></td>
        <td><input name="ratio1" type="text"  class="inputbox" value="<?php echo $setup->set['ratio1'];?>" size="3" maxlength="3" />
          &nbsp;:&nbsp;
          <input name="ratio2" type="text"  class="inputbox" value="<?php echo $setup->set['ratio2'];?>" size="3" maxlength="3" />
          <?php echo required().tooltip("This will control the number of impressions credited on every display.<br />Provide as 2:1 which means that 1 impression will be credited for every 2 displays.");?></td>
      </tr>
      <tr>
        <td><strong>Signup Bonus:</strong></td>
        <td><input name="bonus" type="text"  class="inputbox" value="<?php echo $setup->set['bonus'];?>" size="3" />
          Credits<?php echo required().tooltip("This will control the number of impressions credited on Signup. Enter 0 to disable. ");?></td>
      </tr>
      <tr>
        <td><strong>Null Character:</strong></td>
        <td><input name="null_char" type="text"  class="inputbox" value="<?php echo $setup->set['null_char'];?>" size="3" />
          <?php echo required().tooltip("This character will be displayed instead of NULL values.");?></td>
      </tr>
      <tr>
        <td><strong>Domains Allowed:</strong></td>
        <td><input name="domains_allowed" type="text"  class="inputbox" value="<?php echo $setup->set['domains_allowed'];?>" size="45" />
          <?php echo required().tooltip("This will control the domains allowed on the site.<br />Please enter the value as com|net|org. Please do not add extra spaces. ");?></td>
      </tr>
      <tr>
        <td><strong>Campaign Approval Type:</strong></td>
        <td><input name="approval_type" type="radio" value="1" <?php if ($setup->set['approval_type'] == 1) echo "checked=\"checked\""; ?> />
          Auto
          &nbsp;&nbsp;
          <input name="approval_type" type="radio" value="0" <?php if ($setup->set['approval_type'] == 0) echo "checked=\"checked\""; ?> />
          Manual <?php echo tooltip("Setting this to Auto, automates the approval process<br />otherwise Admin has to approve every campaign.");?></td>
      </tr>
      <tr>
        <td><strong>Banner Approval Type:</strong></td>
        <td><input name="banner_approval_type" type="radio" value="1" <?php if ($setup->set['banner_approval_type'] == 1) echo "checked=\"checked\""; ?> />
          Auto
          &nbsp;&nbsp;
          <input name="banner_approval_type" type="radio" value="0" <?php if ($setup->set['banner_approval_type'] == 0) echo "checked=\"checked\""; ?> />
          Manual <?php echo tooltip("Setting this to Auto, automates the approval process<br />otherwise Admin has to approve every banner.");?></td>
      </tr>
      <tr>
        <td><strong>Anticheat Mechanism:</strong></td>
        <td><input name="anticheat" type="radio" value="1" <?php if ($setup->set['anticheat'] == 1) echo "checked=\"checked\""; ?> />
          Enable
          &nbsp;&nbsp;
          <input name="anticheat" type="radio" value="0" <?php if ($setup->set['anticheat'] == 0) echo "checked=\"checked\""; ?> />
          Disable <?php echo tooltip("Enable Anticheat Mechanism to enable IP checking<br />when credits are given for banner displays.");?></td>
      </tr>
      <tr>
        <td><strong>Sitewide Meta Keywords:</strong></td>
        <td><textarea name="metakeys" cols="50" rows="5" class="inputbox"><?php echo $setup->set['metakeys'];?></textarea>
          <?php echo tooltip("Meta keywords are used to describe your website.<br />These are used by some search engines to categorise your website.");?></td>
      </tr>
      <tr>
        <td><strong>Sitewide Meta Description:</strong></td>
        <td><textarea name="metadesc" cols="50" rows="5" class="inputbox"><?php echo $setup->set['metadesc'];?></textarea>
          <?php echo tooltip("A meta description is a brief summary of the current page.<br />It may be used by search engines when they display search results containing your website.");?></td>
      </tr>
    </table>
    <input name="update_settings" type="hidden" value="1" />
  </form>
</div>