<?php
  /**
   * Transactions
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: transactions.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(get("action") && get('action') == "add"):?>
<?php $id = $_GET['id'];?>
<?php $row = $cmp->getUserListById($id);?>
<?php if(isset($_POST['submit'])):?>
<?php $cmp->addManualTransaction($id);?>
<?php endif;?>
<h1><span>Campaign Management</span> &rsaquo; Add Transactions</h1>
<p class="info">Here you can manually add new transaction. Fields marked <?php echo required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
  <form action="" method="post" id="admin_form" name="admin_form">
    <table cellspacing="0" cellpadding="0" class="box">
      <thead>
        <tr>
          <td colspan="4">Adding transacion for &rsaquo; <?php echo $row['username'];?></td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="4"><input name="submit" type="submit" value="Add Transaction" class="button"/>
            <input name="cancel" type="button" value="Cancel" class="button-alt" onclick="window.location='campaigns.php?do=transactions';"/></td>
        </tr>
      </tfoot>
      <tbody>
        <tr>
          <td width="200"><strong>Transaction Credits:</strong></td>
          <td><input name="amount" type="text"  class="inputbox" size="15" />
            <?php required().tooltip("If you want to deduct some credits then enter Credits as negative number");?></td>
        </tr>
        <tr>
          <td><strong>Transaction Description:</strong></td>
          <td><input name="description" type="text"  class="inputbox" size="45" />
            <?php tooltip("Description must not be more than 80 characters.");?></td>
        </tr>
      </tbody>
    </table>
    <input name="add_transaction" type="hidden" value="1" />
  </form>
</div>
<?php else:?>
<?php $total = $cmp->getTransactionSumById($user_id);?>
<?php $user = $cmp->getUserListById($user_id);?>
<h1><span>Campaign Management</span> &rsaquo; Transactions</h1>
<p class="info">Here you can manage your transaction records.</p>
<?php display_msg (); ?>
<div class="inner">
<div class="utility">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td style="padding-bottom:5px"><form action="" method="post">
          <input name="search" type="text" class="inputbox"  onfocus="if(this.value=='Search Username...'){this.value=''};" onblur="if(this.value==''){this.value='Search Username...'};" value="Search Username..." size="35"/>
          <input name="submit" type="submit" class="button" value="Search" />
        </form></td>
      <td align="right"><?php echo $pager->items_per_page();?></td>
    </tr>
  </table>
</div>
<table cellpadding="0" cellspacing="0" class="box">
  <thead>
    <tr>
      <td colspan="5"><?php echo ($user_id) ? "Manage Transactions For &rsaquo;  ".$user['username'] : "Manage Transactions" ;?></td>
      <td align="right" style="background-image:none"><?php echo ($user_id) ? "Impressions: ".$total : "" ;?></td>
    </tr>
  </thead>
  <tr>
    <th width="20">#</th>
    <th>Impressions</th>
    <th>Transaction Date</th>
    <th>Advertiser</th>
    <th>Description</th>
    <th class="right">Actions</th>
  </tr>
  <tfoot>
    <tr>
      <td colspan="6"><div class="pagination"><?php echo $pager->display_pages();?></div></td>
    </tr>
  </tfoot>
  <tbody>
    <?php if($transrow == 0):?>
    <tr>
      <td colspan="6"><div class="msgAlert"><span>Alert!</span>You don't have any transactions yet...</div></td>
    </tr>
    <?php else:?>
    <?php foreach ($transrow as $row):?>
    <tr>
      <td><?php echo $row['id'];?>.</td>
      <td><?php if($row["amount"]>0):
				echo $row["amount"];
					  else:
				echo "<span class=\"red\">(";
					   printf("%d",$row["amount"]*(-1));
				echo ")</span>";
				endif;
		   ?></td>
      <td><?php echo $row['date'];?></td>
      <td><?php echo $row['username'].' ('.$row['email'].')';?></td>
      <td><?php echo $row['description'];?></td>
      <td class="right"><a href="campaigns.php?do=transactions&amp;action=add&amp;id=<?php echo $row['user_id'];?>" ><img src="images/add.png" class="tooltip" title="Add Credit For:<?php echo $row['username'];?>" /></a> <a href="campaigns.php?do=transactions&amp;user_id=<?php echo $row['user_id'];?>" ><img src="images/view.png" class="tooltip" title="View Transactions For:<?php echo $row['username'];?>" /></a> <a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Transaction" /></a></td>
    </tr>
    <?php endforeach;?>
    <?php unset($row);?>
    <?php endif;?>
  </tbody>
</table>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete")) {
            e.preventDefault();
            var parent = $(this).parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deleteTransaction=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
});
// ]]>
</script>
<?php endif;?>