<?php
  /**
   * Init.php
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: init.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php error_reporting(E_ALL);
  if (substr(PHP_OS, 0, 3) == "WIN") {
      $BMBASE = str_replace("admin\\init.php", "", realpath(__FILE__));
  } else {
      $BMBASE = str_replace("admin/init.php", "", realpath(__FILE__));
  }
  
  define("BMPATH", $BMBASE);
  require_once(BMPATH . "lib/config.ini.php");
  
  //Include Classes
  require_once(BMPATH . "lib/class_db.php");
  require_once(BMPATH . "lib/class_users.php");
  require_once(BMPATH . "lib/class_session.php");
  

  //Include Functions
  require_once(BMPATH . "lib/functions.php");
  
  //Start the database
  $db = new Database(DB_SERVER, DB_USER, DB_PASS, DB_DATABASE);
  
  //connect here
  $db->connect();

  //Start Configuration Class 
  require_once(BMPATH . "lib/class_setup.php");
  $setup = new Setup();
  
  define("SITEURL", $setup->set['site_url']);
  define("ADMINURL", SITEURL."/admin");
  define("UPLOADS", SITEURL."/uploads");
  
  //Start user sessions
  $session = new Session();
?>