<?php
  /**
   * Home
   *
   * @package Membership Subscription Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: home.php,v 1.10 2010-02-01 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
	  
  if (!$session->logged_in)
      redirect_to("index.php");
?>
<?php $user_id = $session->userinfo['id'];?>
<h1><span>Campaign/Banner</span> Statistics</h1>
<?php display_msg();?>
<div class="inner">
  <table cellspacing="0" cellpadding="0" class="box">
    <thead>
      <tr>
        <td colspan="2">Aggregate Campaigns Statistics For All Your Campaigns</td>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td width="200"><strong>Total Number of Campaigns:</strong></td>
        <td><?php echo $total = countEntries("campaigns", "user_id",$user_id);?></td>
      </tr>
      <tr>
        <td><strong>Approved:</strong></td>
        <td><?php echo $approved = countEntries("campaigns", "active","1' AND user_id = '". $user_id);?></td>
      </tr>
      <tr>
        <td><strong>Disapproved:</strong></td>
        <td><?php echo $total - $approved;?></td>
      </tr>
      <tr>
        <td><strong>Total Impressions Received:</strong></td>
        <td><?php $total_impressions = $cmp->getCampaignSumById("displays_rec", $user_id);?>
          <?php echo ($total_impressions[0]<>"") ? $total_impressions : $setup->set["null_char"];?></td>
      </tr>
      <tr>
        <td><strong>Total Clicks Received:</strong></td>
        <td><?php $total_clicks = $cmp->getCampaignSumById("clicks_rec", $user_id);?>
          <?php echo ($total_clicks[0]<>"") ? $total_clicks : $setup->set["null_char"];?></td>
      </tr>
      <tr>
        <td><strong>Average Click Through Rate:</strong></td>
        <td><?php echo ($total_impressions<>0) ? round(($total_clicks/$total_impressions)*100,2)."%" : $setup->set["null_char"];?></td>
      </tr>
      <tr>
        <td><strong>Total Impressions Generated:</strong></td>
        <td><?php $total = $cmp->getCampaignSumById("displays_gen", $user_id);?>
          <?php echo ($total[0]<>"") ? $total : $setup->set["null_char"];?></td>
      </tr>
      <tr>
        <td><strong>Total Clicks Generated:</strong></td>
        <td><?php $total = $cmp->getCampaignSumById("clicks_gen", $user_id);?>
          <?php echo ($total[0]<>"") ? $total : $setup->set["null_char"];?></td>
      </tr>
      <tr>
        <td><strong>Latest Impression Received on:</strong></td>
        <td><?php echo $cmp->getCampaignByLatest("displays", $user_id);?></td>
      </tr>
      <tr>
        <td><strong>Latest Click Received on:</strong></td>
        <td><?php echo $cmp->getCampaignByLatest("clicks", $user_id);?></td>
      </tr>
      <?php $hits = $cmp->getMostViewedAds("displays", $user_id);?>
      <?php if($hits !=0):?>
      <tr>
        <td colspan="2" align="center"><?php $height = getValue("height", "banner_sizes", "id = ".$hits['size_id']);?>
          <?php $width = getValue("width", "banner_sizes", "id = ".$hits['size_id']);?>
          <?php if($hits["type"]!="flash"):?>
          <img src="<?php echo SITEURL;?>/uploads/banners/<?php echo $hits["bannerurl"];?>" alt="" width="<?php echo $width;?>" height="<?php echo $height;?>" />
          <?php else:?>
          <embed src="<?php echo SITEURL;?>/uploads/banners/<?php echo $hits["bannerurl"];?>" width="<?php echo $width;?>" height="<?php echo $height;?>" PLAY="true" quality="best" PLUGINSPAGE=" http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"></embed>
          <?php endif;?>
          <br />
          <strong>Most Displayed Banner</strong></td>
      </tr>
      <?php endif;?>
      <?php $clicked = $cmp->getMostViewedAds("clicks", $user_id);?>
      <?php if($clicked !=0):?>
      <tr>
        <td colspan="2" align="center"><?php $height = getValue("height", "banner_sizes", "id = ".$clicked['size_id']);?>
          <?php $width = getValue("width", "banner_sizes", "id = ".$clicked['size_id']);?>
          <?php if($clicked["type"]!="flash"):?>
          <img src="<?php echo SITEURL;?>/uploads/banners/<?php echo $clicked["bannerurl"];?>" alt="" width="<?php echo $width;?>" height="<?php echo $height;?>" />
          <?php else:?>
          <embed src="<?php echo SITEURL;?>/uploads/banners/<?php echo $clicked["bannerurl"];?>" width="<?php echo $width;?>" height="<?php echo $height;?>" PLAY="true" quality="best" PLUGINSPAGE=" http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"></embed>
          <?php endif;?>
          <br />
          <strong>Most Clicked Banner</strong></td>
      </tr>
      <?php endif;?>
    </tbody>
  </table>
  <table cellpadding="0" cellspacing="0" class="box">
    <thead>
      <tr>
        <td colspan="3">Stats: Clicks / Impressions</td>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>&nbsp;</td>
        <td><strong>Received</strong></td>
        <td><strong>Generated</strong></td>
      </tr>
      <tr>
        <td width="200"><strong>Today:</strong></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks",$user_id,"=0");?>
          <?php $display = $cmp->getBannerDisplays("displays",$user_id,"=0");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : "";?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks_generated",$user_id,"=0");?>
          <?php $display = $cmp->getBannerDisplays("displays_generated",$user_id,"=0");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : "";?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <tr>
        <td><strong>Yesterday:</strong></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks",$user_id,"=1");?>
          <?php $display = $cmp->getBannerDisplays("displays",$user_id,"=1");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks_generated",$user_id,"=1");?>
          <?php $display = $cmp->getBannerDisplays("displays_generated",$user_id,"=1");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <tr>
        <td><strong>Last 7 Days:</strong></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks",$user_id,"<=7");?>
          <?php $display = $cmp->getBannerDisplays("displays",$user_id,"<=7");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks_generated",$user_id,"<=7");?>
          <?php $display = $cmp->getBannerDisplays("displays_generated",$user_id,"<=7");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <tr>
        <td><strong>Last 14 Days:</strong></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks",$user_id,"<=14");?>
          <?php $display = $cmp->getBannerDisplays("displays",$user_id,"<=14");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php $clicks = $cmp->getBannerClicks("clicks_generated",$user_id,"<=14");?>
          <?php $display = $cmp->getBannerDisplays("displays_generated",$user_id,"<=14");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <tr>
        <td><strong>Last Year:</strong></td>
        <td><?php $clicks = countEntries("clicks","user_id","$user_id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php $display = countEntries("displays","user_id","$user_id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php $clicks = countEntries("clicks_generated","user_id","$user_id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php $display = countEntries("displays_generated","user_id","$user_id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <tr>
        <th colspan="3">This Year: Clicks / Impressions</th>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><strong>Received</strong></td>
        <td><strong>Generated</strong></td>
      </tr>
      <?php for($i=1;$i<=12;$i++):?>
      <?php $date=date('Y',time()).$i; ?>
      <?php $display = countEntries("displays","user_id","$user_id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $clicks = countEntries("clicks","user_id","$user_id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $display_gen = countEntries("displays_generated","user_id","$user_id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $clicks_gen = countEntries("clicks_generated","user_id","$user_id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <tr>
        <td><strong>
          <?php
          switch ($i)
              : case 1:
              echo "January";
          break;
          case 2:
              echo "February";
              break;
          case 3:
              echo "March";
              break;
          case 4:
              echo "April";
              break;
          case 5:
              echo "May";
              break;
          case 6:
              echo "June";
              break;
          case 7:
              echo "July";
              break;
          case 8:
              echo "August";
              break;
          case 9:
              echo "September";
              break;
          case 10:
              echo "October";
              break;
          case 11:
              echo "November";
              break;
          case 12:
              echo "December";
              break;
              endswitch;
        ?>
          </strong></td>
        <td><?php if($clicks||$display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
        <td><?php if($clicks_gen||$display_gen):?>
          <?php echo ($clicks_gen) ? $clicks_gen : $setup->set["null_char"];?> / <?php echo ($display_gen) ? $display_gen : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?></td>
      </tr>
      <?php endfor;?>
    </tbody>
  </table>
  <table cellpadding="0" cellspacing="0" class="box">
    <tr>
      <th colspan="6">This Month: Clicks / Impressions Received</th>
    </tr>
    <?php
        for($i=1;$i<=10;$i++):
        $date1=date("Ym",time()).$i;
        $date2=date("Ym",time()).($i+10);
        $date3=date("Ym",time()).($i+20);
        ?>
    <?php $display = $cmp->getDisplays("displays", $user_id, $date1);?>
    <?php $clicks = $cmp->getDisplays("clicks", $user_id, $date1);?>
    <?php $display2 = $cmp->getDisplays("displays", $user_id, $date2);?>
    <?php $clicks2 = $cmp->getDisplays("clicks", $user_id, $date2);?>
    <?php $display3 = $cmp->getDisplays("displays", $user_id, $date3);?>
    <?php $clicks3 = $cmp->getDisplays("clicks", $user_id, $date3);?>
    <tr>
      <td width="17%" align="right"><strong><?php echo $i;?>.</strong></td>
      <td width="17%"><?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
      <td width="17%" align="right"><strong><?php echo $i+10;?>.</strong></td>
      <td width="17%"><?php if($clicks2 or $display2):?>
        <?php echo ($clicks2) ? $clicks2 : $setup->set["null_char"];?> / <?php echo ($display2) ? $display2 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
      <td width="17%" align="right"><strong><?php echo $i+20;?>.</strong></td>
      <td><?php if($clicks3 or $display3):?>
        <?php echo ($clicks3) ? $clicks3 : $setup->set["null_char"];?> / <?php echo ($display3) ? $display3 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
    </tr>
    <?php endfor;?>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td width="17%" align="right"><strong>31.</strong></td>
      <td><?php $date1=date("Ym",time())."31";?>
        <?php $display = $cmp->getDisplays("displays", $user_id, $date1);?>
        <?php $clicks = $cmp->getDisplays("clicks", $user_id, $date1);?>
        <?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
    </tr>
  </table>
  <table cellpadding="0" cellspacing="0" class="box">
    <tr>
      <th colspan="6">This Month: Clicks / Impressions Generated</th>
    </tr>
    <?php
        for($i=1;$i<=10;$i++):
		$date1=date("Ym",time()).$i;
		$date2=date("Ym",time()).($i+10);
		$date3=date("Ym",time()).($i+20);
        ?>
    <?php $display = $cmp->getDisplays("displays_generated", $user_id, $date1);?>
    <?php $clicks = $cmp->getDisplays("clicks_generated", $user_id, $date1);?>
    <?php $display2 = $cmp->getDisplays("displays_generated", $user_id, $date2);?>
    <?php $clicks2 = $cmp->getDisplays("clicks_generated", $user_id, $date2);?>
    <?php $display3 = $cmp->getDisplays("displays_generated", $user_id, $date3);?>
    <?php $clicks3 = $cmp->getDisplays("clicks_generated", $user_id, $date3);?>
    <tr>
      <td width="17%" align="right"><strong><?php echo $i;?>.</strong></td>
      <td width="17%"><?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
      <td width="17%" align="right"><strong><?php echo $i+10;?>.</strong></td>
      <td width="17%"><?php if($clicks2 or $display2):?>
        <?php echo ($clicks2) ? $clicks2 : $setup->set["null_char"];?> / <?php echo ($display2) ? $display2 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
      <td width="17%" align="right"><strong><?php echo $i+20;?>.</strong></td>
      <td><?php if($clicks3 or $display3):?>
        <?php echo ($clicks3) ? $clicks3 : $setup->set["null_char"];?> / <?php echo ($display3) ? $display3 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
    </tr>
    <?php endfor;?>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td width="17%" align="right"><strong>31.</strong></td>
      <td><?php $date1=date("Ym",time())."31";?>
        <?php $display = $cmp->getDisplays("displays_generated", $user_id, $date1);?>
        <?php $clicks = $cmp->getDisplays("clicks_generated", $user_id, $date1);?>
        <?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?></td>
    </tr>
  </table>
</div>