<?php
  /**
   * Class Mailer.php
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: class_mailer.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');

  class Mailer
  {
      private $sitename;
      private $sitemail;
      
      /**
       * Mailer::__construct()
       * 
       * @return
       */
      function __construct()
      {
          global $setup;
		  
          $this->sitemail = $setup->set['site_email'];
          $this->sitename = $setup->set['site_name'];
      }
	  
	  
      /**
       * Mailer::sendMail()
       * 
	   * Sends a various messages to users
       * @param mixed $to
       * @param mixed $subject
       * @param mixed $body
       * @return
       */
	  public function sendMail($to, $subject, $body)
	  {
		  require_once(BMPATH . "lib/class.phpmailer.php");
		  $mail = new PHPMailer();
		  $mail->From = $this->sitemail;
		  $mail->FromName = $this->sitename;
		  $mail->AddAddress("" . $to . "");
		  $mail->IsHTML(true);
		  $mail->Subject = $subject;

		  $mailcontent = stripslashes($body);
		  $mail->Body = nl2br($mailcontent);
		  if (!$mail->Send()) {
			  $result = $mail->ErrorInfo;
		  } else {
			  $result = true;
		  }
		  return $result;
	  }
  }
  /* Initialize mailer object */
  $mailer = new Mailer();
?>