-- phpMyAdmin SQL Dump
-- version 3.2.0.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 05, 2010 at 05:50 PM
-- Server version: 5.1.36
-- PHP Version: 5.3.0

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `exchange`
--

-- --------------------------------------------------------

--
-- Table structure for table `ads`
--

CREATE TABLE IF NOT EXISTS `ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `campaign_id` int(11) DEFAULT '0',
  `size_id` int(11) NOT NULL DEFAULT '1',
  `clicks` int(11) DEFAULT '0',
  `displays` int(11) NOT NULL DEFAULT '0',
  `submitted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `weight` int(11) DEFAULT NULL,
  `bannerurl` varchar(200) DEFAULT NULL,
  `type` varchar(200) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `ads`
--

INSERT INTO `ads` (`id`, `campaign_id`, `size_id`, `clicks`, `displays`, `submitted`, `modified`, `weight`, `bannerurl`, `type`, `active`) VALUES
(2, 1, 3, 8, 98, '2010-04-16 19:08:59', '2010-04-23 13:37:37', 20, 'banner2685214.gif', 'image', 1),
(3, 4, 2, 9, 55, '2010-04-20 19:54:19', '2010-04-26 11:57:03', 30, 'banner0089624.gif', 'image', 1),
(9, 4, 2, 0, 0, '2010-04-21 17:32:25', '2010-04-21 17:32:25', 40, 'banner0040147.gif', 'image', 1),
(10, 2, 2, 0, 0, '2010-04-21 18:53:04', '2010-04-21 18:53:04', 30, 'banner0042658.gif', 'image', 1),
(20, 4, 2, 0, 10, '2010-04-24 12:23:08', '2010-04-24 12:25:15', 50, 'banner0039867.jpg', 'image', 1),
(16, 5, 2, 0, 0, '2010-04-23 09:29:22', '2010-04-23 09:29:22', 10, 'banner0030521.gif', 'image', 0),
(15, 2, 2, 0, 0, '2010-04-23 09:28:43', '2010-04-23 09:28:43', 30, 'banner0062145.gif', 'image', 0),
(17, 6, 3, 0, 0, '2010-04-23 09:29:54', '2010-04-23 09:29:54', 20, 'banner2658741.gif', 'image', 1),
(18, 2, 1, 0, 0, '2010-04-23 11:48:53', '2010-04-23 11:48:53', 20, 'banner1054895.gif', 'image', 1),
(19, 6, 3, 0, 0, '2010-04-23 11:51:19', '2010-04-23 11:51:19', 10, 'banner25416987.gif', 'image', 1);

-- --------------------------------------------------------

--
-- Table structure for table `banned_sites`
--

CREATE TABLE IF NOT EXISTS `banned_sites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `banned_sites`
--

INSERT INTO `banned_sites` (`id`, `name`) VALUES
(1, 'yahoo.com'),
(2, 'msn.com'),
(3, 'google.com');

-- --------------------------------------------------------

--
-- Table structure for table `banner_sizes`
--

CREATE TABLE IF NOT EXISTS `banner_sizes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `height` varchar(5) DEFAULT NULL,
  `width` varchar(5) DEFAULT NULL,
  `default_banner` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `banner_sizes`
--

INSERT INTO `banner_sizes` (`id`, `height`, `width`, `default_banner`) VALUES
(1, '125', '125', '125_125.jpg'),
(2, '60', '468', '468_60.jpg'),
(3, '60', '120', '120_60.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `campaigns`
--

CREATE TABLE IF NOT EXISTS `campaigns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `user_id` int(11) DEFAULT '0',
  `cat_id` int(11) DEFAULT '0',
  `site_url` varchar(255) DEFAULT NULL,
  `startedon` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `receive` tinyint(1) NOT NULL DEFAULT '0',
  `displays_gen` int(11) DEFAULT '0',
  `clicks_gen` int(11) DEFAULT '0',
  `displays_rec` int(11) DEFAULT '0',
  `clicks_rec` int(11) DEFAULT '0',
  `credits` int(11) DEFAULT '0',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

--
-- Dumping data for table `campaigns`
--

INSERT INTO `campaigns` (`id`, `name`, `user_id`, `cat_id`, `site_url`, `startedon`, `receive`, `displays_gen`, `clicks_gen`, `displays_rec`, `clicks_rec`, `credits`, `active`) VALUES
(1, 'admin_camp1', 1, 2, 'http://www.wojocms.com', '2010-04-24 12:23:08', 1, 147, 7, 158, 7, 90, 1),
(2, 'admin_camp2', 1, 3, 'http://www.wojocms.com', '2010-04-21 18:48:50', 1, 149, 16, 0, 0, 19, 1),
(3, 'victor_camp', 3, 2, 'http://www.wojocms.com', '2010-04-21 18:53:04', 1, 1, 0, 0, 0, 399, 1),
(4, 'evan_camp', 4, 3, 'http://www.wojocms.com', '2010-04-21 18:48:53', 1, 1000, 0, 99, 12, -280, 1),
(5, 'admin_camp3', 1, 2, 'http://www.wojocms.com', '2010-04-21 18:48:56', 1, 0, 0, 0, 0, 0, 1),
(6, 'john_camp', 7, 2, 'http://www.wojocms.com', '2010-04-23 09:28:43', 1, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `position` varchar(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `name`, `parent_id`, `position`) VALUES
(1, 'Computers', 0, '1'),
(2, 'Hardware', 1, '1'),
(3, 'Software', 1, '2');

-- --------------------------------------------------------

--
-- Table structure for table `clicks`
--

CREATE TABLE IF NOT EXISTS `clicks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `campaign_id` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clicks`
--

INSERT INTO `clicks` (`id`, `user_id`, `campaign_id`, `created`) VALUES
(1, 3, 4, '2010-04-28 09:07:28'),
(2, 1, 5, '2010-04-28 09:07:30'),
(3, 1, 5, '2010-04-28 09:07:33'),
(4, 1, 5, '2010-04-28 09:07:38'),
(5, 3, 4, '2010-04-28 12:56:34'),
(6, 1, 5, '2010-04-28 13:05:19'),
(7, 1, 5, '2010-04-28 13:06:09'),
(8, 3, 4, '2010-04-29 15:11:14'),
(9, 1, 5, '2010-04-29 15:21:03'),
(10, 1, 5, '2010-04-29 15:52:35'),
(11, 3, 1, '2010-05-04 21:32:06'),
(12, 3, 1, '2010-05-04 21:32:39'),
(13, 3, 1, '2010-05-04 21:35:04'),
(14, 3, 1, '2010-05-04 21:36:22'),
(15, 3, 1, '2010-05-04 21:37:13'),
(16, 3, 1, '2010-05-05 15:39:43'),
(17, 1, 1, '2010-05-05 16:39:10'),
(18, 1, 1, '2010-05-05 16:41:41');

-- --------------------------------------------------------

--
-- Table structure for table `clicks_generated`
--

CREATE TABLE IF NOT EXISTS `clicks_generated` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `campaign_id` int(11) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clicks_generated`
--

INSERT INTO `clicks_generated` (`id`, `user_id`, `campaign_id`, `created`) VALUES
(1, 1, 1, '2010-04-28 15:21:03'),
(2, 1, 1, '2010-04-28 15:52:35'),
(3, 3, 3, '2010-05-04 21:32:06'),
(4, 3, 3, '2010-05-04 21:32:39'),
(5, 3, 3, '2010-05-04 21:35:04'),
(6, 3, 3, '2010-05-04 21:36:22'),
(7, 3, 3, '2010-05-04 21:37:13'),
(8, 3, 3, '2010-05-05 15:39:43'),
(9, 1, 1, '2010-05-05 16:39:10'),
(10, 1, 1, '2010-05-05 16:41:41');

-- --------------------------------------------------------

--
-- Table structure for table `displays`
--

CREATE TABLE IF NOT EXISTS `displays` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `campaign_id` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `displays`
--

INSERT INTO `displays` (`id`, `user_id`, `campaign_id`, `created`) VALUES
(1, 1, 1, '2010-04-28 09:07:25'),
(2, 1, 2, '2010-04-28 09:07:25'),
(3, 1, 1, '2010-04-28 09:07:26'),
(4, 1, 2, '2010-04-28 09:07:26'),
(5, 1, 1, '2010-04-28 09:07:26'),
(6, 1, 2, '2010-04-28 09:07:26'),
(7, 1, 1, '2010-04-28 09:07:27'),
(8, 1, 2, '2010-04-28 09:07:27'),
(9, 3, 1, '2010-04-28 09:07:27'),
(10, 1, 2, '2010-04-28 09:07:27'),
(11, 1, 1, '2010-04-28 09:07:27'),
(12, 1, 2, '2010-04-28 09:07:27'),
(13, 1, 1, '2010-04-28 09:07:28'),
(14, 1, 2, '2010-04-28 09:07:28'),
(15, 1, 1, '2010-04-28 09:07:32'),
(16, 1, 2, '2010-04-28 09:07:32'),
(17, 1, 1, '2010-04-28 09:07:37'),
(18, 1, 2, '2010-04-28 09:07:37'),
(19, 1, 1, '2010-04-28 12:52:21'),
(20, 1, 2, '2010-04-28 12:52:21'),
(21, 1, 1, '2010-04-28 12:52:22'),
(22, 1, 1, '2010-04-28 12:52:22'),
(23, 1, 2, '2010-04-28 12:52:23'),
(24, 1, 1, '2010-04-28 12:52:23'),
(25, 1, 2, '2010-04-28 12:52:23'),
(26, 1, 1, '2010-04-28 12:52:23'),
(27, 1, 3, '2010-04-28 12:52:23'),
(28, 1, 2, '2010-04-28 12:52:23'),
(29, 1, 3, '2010-04-28 12:54:54'),
(30, 1, 1, '2010-04-28 12:54:54'),
(31, 1, 3, '2010-04-28 12:54:55'),
(32, 1, 2, '2010-04-28 12:54:55'),
(33, 1, 3, '2010-04-28 12:54:55'),
(34, 1, 2, '2010-04-28 12:54:55'),
(35, 1, 3, '2010-04-28 12:54:56'),
(36, 1, 2, '2010-04-28 12:54:56'),
(37, 1, 3, '2010-04-28 12:55:04'),
(38, 1, 2, '2010-04-28 12:55:04'),
(39, 1, 3, '2010-04-28 12:55:04'),
(40, 1, 2, '2010-04-28 12:55:04'),
(41, 1, 3, '2010-04-28 12:55:04'),
(42, 1, 2, '2010-04-28 12:55:04'),
(43, 1, 3, '2010-04-28 12:55:04'),
(44, 1, 2, '2010-04-28 12:55:04'),
(45, 1, 4, '2010-04-28 12:55:05'),
(46, 1, 2, '2010-04-28 12:55:05'),
(47, 1, 4, '2010-04-28 12:56:26'),
(48, 1, 4, '2010-04-28 12:56:26'),
(49, 1, 2, '2010-04-28 12:56:59'),
(50, 1, 5, '2010-04-28 12:56:59'),
(51, 1, 2, '2010-04-22 13:05:13'),
(52, 1, 1, '2010-04-22 13:05:13'),
(53, 1, 1, '2010-04-22 13:06:02'),
(54, 1, 1, '2010-04-22 13:06:02'),
(55, 1, 1, '2010-04-22 13:06:02'),
(56, 1, 2, '2010-04-22 13:06:02'),
(57, 1, 2, '2010-04-23 15:04:26'),
(58, 1, 2, '2010-04-23 15:04:26'),
(59, 1, 2, '2010-04-23 15:04:26'),
(60, 1, 2, '2010-04-23 15:21:01'),
(61, 1, 2, '2010-04-23 15:21:01'),
(62, 1, 2, '2010-04-23 15:21:01'),
(63, 1, 2, '2010-04-23 15:21:01'),
(64, 1, 2, '2010-04-23 15:21:02'),
(65, 1, 2, '2010-04-23 15:21:02'),
(66, 1, 4, '2010-04-23 15:52:34'),
(67, 1, 2, '2010-04-24 12:23:57'),
(68, 1, 2, '2010-04-24 12:24:02'),
(69, 1, 2, '2010-04-24 12:24:13'),
(70, 1, 2, '2010-04-24 12:24:35'),
(71, 1, 2, '2010-04-24 12:24:36'),
(72, 1, 2, '2010-04-24 12:24:36'),
(73, 1, 2, '2010-04-24 12:24:38'),
(74, 1, 2, '2010-04-24 12:24:39'),
(75, 1, 2, '2010-04-24 12:24:57'),
(76, 1, 2, '2010-04-24 12:24:58'),
(77, 1, 2, '2010-04-24 12:24:58'),
(78, 1, 2, '2010-04-24 12:24:59'),
(79, 1, 2, '2010-04-24 12:24:59'),
(80, 1, 2, '2010-04-24 12:24:59'),
(81, 1, 2, '2010-04-24 12:25:00'),
(82, 1, 2, '2010-04-24 12:25:00'),
(83, 1, 2, '2010-04-24 12:25:01'),
(84, 1, 2, '2010-04-24 12:25:01'),
(85, 1, 2, '2010-04-24 12:25:01'),
(86, 1, 2, '2010-04-24 12:25:02'),
(87, 1, 2, '2010-04-24 12:25:02'),
(88, 1, 2, '2010-04-24 12:25:03'),
(89, 1, 2, '2010-04-24 12:25:03'),
(90, 1, 2, '2010-04-24 12:25:04'),
(91, 1, 2, '2010-04-24 12:25:14'),
(92, 1, 2, '2010-04-24 12:25:15'),
(93, 1, 2, '2010-04-24 12:25:15'),
(94, 1, 4, '2010-05-04 20:18:09'),
(95, 1, 1, '2010-05-04 20:18:51'),
(96, 1, 1, '2010-05-04 20:18:51'),
(97, 1, 1, '2010-05-04 21:00:29'),
(98, 1, 1, '2010-05-04 21:02:56'),
(99, 1, 1, '2010-05-04 21:04:10'),
(100, 1, 1, '2010-05-04 21:04:13'),
(101, 1, 1, '2010-05-04 21:04:31'),
(102, 1, 1, '2010-05-04 21:04:32'),
(103, 1, 1, '2010-05-04 21:04:55'),
(104, 1, 1, '2010-05-04 21:06:58'),
(105, 1, 1, '2010-05-04 21:29:53'),
(106, 1, 1, '2010-05-04 21:30:45'),
(107, 1, 1, '2010-05-04 21:32:04'),
(108, 1, 1, '2010-05-04 21:32:38'),
(109, 1, 1, '2010-05-04 21:35:00'),
(110, 1, 1, '2010-05-04 21:36:11'),
(111, 1, 1, '2010-05-04 21:37:11'),
(112, 1, 1, '2010-05-04 21:37:27'),
(113, 1, 1, '2010-05-04 21:37:42'),
(114, 1, 1, '2010-05-05 15:39:31'),
(115, 1, 1, '2010-05-05 16:38:10'),
(116, 1, 1, '2010-05-05 16:38:24'),
(117, 1, 1, '2010-05-05 16:38:53'),
(118, 1, 1, '2010-05-05 16:39:01'),
(119, 1, 1, '2010-05-05 16:39:02'),
(120, 1, 1, '2010-05-05 16:39:03'),
(121, 1, 1, '2010-05-05 16:39:05'),
(122, 1, 1, '2010-05-05 16:39:06'),
(123, 1, 1, '2010-05-05 16:39:12'),
(124, 1, 1, '2010-05-05 16:40:51'),
(125, 1, 1, '2010-05-05 16:40:53'),
(126, 1, 1, '2010-05-05 16:41:43'),
(127, 1, 1, '2010-05-05 16:42:07');

-- --------------------------------------------------------

--
-- Table structure for table `displays_generated`
--

CREATE TABLE IF NOT EXISTS `displays_generated` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `campaign_id` int(11) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `displays_generated`
--

INSERT INTO `displays_generated` (`id`, `user_id`, `campaign_id`, `created`) VALUES
(1, 1, 5, '2010-04-29 15:21:01'),
(2, 1, 2, '2010-04-29 15:21:01'),
(3, 1, 5, '2010-04-29 15:21:01'),
(4, 1, 2, '2010-04-29 15:21:01'),
(5, 1, 5, '2010-04-29 15:21:02'),
(6, 1, 2, '2010-04-29 15:21:02'),
(7, 1, 5, '2010-04-29 15:52:34'),
(8, 1, 2, '2010-04-30 12:29:57'),
(9, 1, 5, '2010-04-30 12:30:02'),
(10, 1, 2, '2010-04-30 12:30:13'),
(11, 1, 5, '2010-04-30 12:30:35'),
(12, 1, 2, '2010-04-30 12:30:36'),
(13, 1, 5, '2010-04-30 12:30:36'),
(14, 1, 2, '2010-04-30 12:30:38'),
(15, 1, 5, '2010-04-30 12:30:39'),
(16, 1, 2, '2010-04-30 12:30:57'),
(17, 1, 5, '2010-04-30 12:30:58'),
(18, 1, 2, '2010-04-30 12:30:58'),
(19, 1, 5, '2010-04-30 12:30:59'),
(20, 1, 2, '2010-04-30 12:30:59'),
(21, 1, 5, '2010-04-30 12:30:59'),
(22, 1, 2, '2010-04-30 12:25:00'),
(23, 1, 5, '2010-04-25 13:56:55'),
(30, 1, 2, '2010-04-30 12:25:01'),
(25, 1, 5, '2010-04-30 12:25:01'),
(26, 1, 2, '2010-04-30 12:25:01'),
(27, 1, 5, '2010-04-30 12:25:02'),
(28, 1, 2, '2010-04-30 12:25:02'),
(31, 1, 1, '2010-05-04 20:18:09'),
(32, 1, 2, '2010-05-04 20:18:51'),
(33, 1, 1, '2010-05-04 20:18:51'),
(34, 1, 2, '2010-05-04 21:00:29'),
(35, 1, 1, '2010-05-04 21:02:56'),
(36, 1, 1, '2010-05-04 21:04:10'),
(37, 1, 1, '2010-05-04 21:04:13'),
(38, 1, 1, '2010-05-04 21:04:31'),
(39, 1, 1, '2010-05-04 21:04:32'),
(40, 1, 1, '2010-05-04 21:04:55'),
(41, 1, 1, '2010-05-04 21:06:58'),
(42, 1, 1, '2010-05-04 21:29:53'),
(43, 1, 1, '2010-05-04 21:30:45'),
(44, 1, 1, '2010-05-04 21:32:04'),
(45, 1, 1, '2010-05-04 21:32:38'),
(46, 1, 1, '2010-05-04 21:35:00'),
(47, 1, 1, '2010-05-04 21:36:11'),
(48, 1, 1, '2010-05-04 21:37:11'),
(49, 1, 1, '2010-05-04 21:37:27'),
(50, 1, 1, '2010-05-04 21:37:42'),
(51, 1, 1, '2010-05-05 15:39:31'),
(52, 1, 1, '2010-05-05 16:38:10'),
(53, 1, 1, '2010-05-05 16:38:24'),
(54, 1, 1, '2010-05-05 16:38:53'),
(55, 1, 1, '2010-05-05 16:39:01'),
(56, 1, 1, '2010-05-05 16:39:02'),
(57, 1, 1, '2010-05-05 16:39:03'),
(58, 1, 1, '2010-05-05 16:39:05'),
(59, 1, 1, '2010-05-05 16:39:06'),
(60, 1, 1, '2010-05-05 16:39:12'),
(61, 1, 1, '2010-05-05 16:40:51'),
(62, 1, 1, '2010-05-05 16:40:53'),
(63, 1, 1, '2010-05-05 16:41:43'),
(64, 1, 1, '2010-05-05 16:42:07');

-- --------------------------------------------------------

--
-- Table structure for table `email_templates`
--

CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `email_templates`
--

INSERT INTO `email_templates` (`id`, `name`, `subject`, `body`) VALUES
(1, 'Registration Email', 'Please Verify Your Email', '<p>﻿Welcome [USERNAME]! Thanks for registering.<br />---------------------------------------------------------------------------------------------------------<br />Hello,<br />You''re now a member of [SITE_NAME].<br /><br />Here are your login details. Please keep them in a safe place:<br /><br /><strong>Username</strong>: [USERNAME]<br /><strong>Password</strong>: [PASSWORD]<br />---------------------------------------------------------------------------------------------------------<br /><br />The administrator of this site has requested all new accounts to be activated by the users who created them thus your account is currently inactive. To activate your account, please visit this link:<br />[LINK]<br /><br />Thanks,<br />[SITE_NAME] Team<br />[URL]﻿</p>'),
(2, 'Forgot Password Email', 'Password Reset', '<p>New password reset from [SITE_NAME]!<br />---------------------------------------------------------------------------------------------------------<br /><br />Hello, [USERNAME]<br /><br />It seems that you or someone requested a new password for you.<br />We have generated a new password, as requested:<br /><br /><strong>Your new password</strong>: [PASSWORD]<br /><br />To use the new password you need to activate it. To do this click the link provided below and login with your new password.<br />[LINK]<br /><br />You can change your password after you sign in.<br />---------------------------------------------------------------------------------------------------------<br /><br />Thanks,<br />[SITE_NAME] Team<br />[URL]<br />==================================================================</p>'),
(3, 'Campaign Approval Email', 'Campaign Approval', '<p>Hello [NAME]!<br />---------------------------------------------------------------------------------------------------------<br /><br />Your Campaign&nbsp;<strong>[CAMPAIGN_NAME]</strong> has been approved.<br /><br />---------------------------------------------------------------------------------------------------------<br />Regards,<br />[SITE_NAME] Team<br />[URL]</p>'),
(4, 'Campaign Disapproval Email', 'Campaign Disapproval', '<p>Hello [NAME]!<br />---------------------------------------------------------------------------------------------------------<br /><br />Your Campaign&nbsp;<strong>[CAMPAIGN_NAME]</strong> has been disapproved.<br /><br />---------------------------------------------------------------------------------------------------------<br />Regards,<br />[SITE_NAME] Team<br />[URL]</p>'),
(5, 'Banner Approval Email', 'Banner Approval', '<p>Hello [NAME]!<br />---------------------------------------------------------------------------------------------------------<br /><br />Your banner# <strong>[BANNER]</strong> of campaign&nbsp;<strong>[CAMPAIGN_NAME]</strong> has been approved.<br /><br />---------------------------------------------------------------------------------------------------------<br />Regards,<br />[SITE_NAME] Team<br />[URL]</p>'),
(6, 'Banner Disapproval Email', 'Banner Disapproval', '<p>Hello [NAME]!<br />---------------------------------------------------------------------------------------------------------<br /><br />Your banner# <strong>[BANNER]</strong> of campaign&nbsp;<strong>[CAMPAIGN_NAME]</strong> has been disapproved.<br /><br />---------------------------------------------------------------------------------------------------------<br />Regards,<br />[SITE_NAME] Team<br />[URL]</p>'),
(7, 'Admin Manual Registration', 'You Have Been Registered', '<p>Welcome [USERNAME].<br />---------------------------------------------------------------------------------------------------------<br /><br />Hello,<br /><br />You''re now a member of [SITE_NAME].<br />Here are your login details. Please keep them in a safe place:<br /><br /><strong>Username</strong>: [USERNAME]<br /><strong>Password</strong>: [PASSWORD]<br /><br />You can now login by visiting [URL]<br />---------------------------------------------------------------------------------------------------------<br /><br />Thanks,<br />[SITE_NAME] Team<br />[URL]</p>'),
(8, 'Payment Received', 'You Have payPal Payment', '<p>Hello, Admin<br /><br />You have received new PayPal payment following:<br />---------------------------------------------------------------------------------------------------------<br /><br />Username: [USERNAME]<br />Plan: [PLAN]<br />Price: [PRICE]<br /><br />Status: [STATUS] <br /><br />---------------------------------------------------------------------------------------------------------<br />You can view this transaction from [URL]</p>'),
(9, 'Contact Form', 'Contact Form', '<p>You have a new contact request:<br /><br />[MESSAGE]<br /><br />-------------------------------------------------------------------------<br />From: [NAME] - Email: [EMAIL]<br />Subject: [SUBJECT]<br />Senders IP: [IP]<br />-------------------------------------------------------------------------</p>');

-- --------------------------------------------------------

--
-- Table structure for table `ips`
--

CREATE TABLE IF NOT EXISTS `ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

--
-- Dumping data for table `ips`
--

INSERT INTO `ips` (`id`, `user_id`, `ip`) VALUES
(6, 1, '127.0.0.1');

-- --------------------------------------------------------

--
-- Table structure for table `plans`
--

CREATE TABLE IF NOT EXISTS `plans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `credits` int(11) NOT NULL DEFAULT '0',
  `price` double(16,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `plans`
--

INSERT INTO `plans` (`id`, `credits`, `price`) VALUES
(1, 10000, 40.00),
(2, 5000, 25.00),
(3, 2500, 15.00),
(4, 1000, 8.00),
(5, 50000, 50.00);

-- --------------------------------------------------------

--
-- Table structure for table `setup`
--

CREATE TABLE IF NOT EXISTS `setup` (
  `site_email` varchar(100) DEFAULT NULL,
  `site_name` varchar(200) NOT NULL,
  `site_url` varchar(255) DEFAULT NULL,
  `null_char` varchar(10) DEFAULT NULL,
  `approval_type` tinyint(1) NOT NULL DEFAULT '0',
  `banner_approval_type` tinyint(1) NOT NULL DEFAULT '1',
  `perpage` varchar(3) NOT NULL DEFAULT '10',
  `paypal_id` varchar(100) NOT NULL,
  `sandbox` tinyint(1) NOT NULL DEFAULT '1',
  `click_reward` int(11) DEFAULT NULL,
  `reg_verify` tinyint(1) NOT NULL DEFAULT '1',
  `currency` varchar(4) NOT NULL,
  `cur_symbol` varchar(2) NOT NULL,
  `ratio1` int(6) DEFAULT NULL,
  `ratio2` int(6) DEFAULT NULL,
  `domains_allowed` varchar(255) DEFAULT NULL,
  `bonus` int(11) DEFAULT NULL,
  `captcha` tinyint(1) NOT NULL DEFAULT '1',
  `anticheat` tinyint(1) NOT NULL DEFAULT '1',
  `metakeys` text,
  `metadesc` text,
  `version` varchar(10) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `setup`
--

INSERT INTO `setup` (`site_email`, `site_name`, `site_url`, `null_char`, `approval_type`, `banner_approval_type`, `perpage`, `paypal_id`, `sandbox`, `click_reward`, `reg_verify`, `currency`, `cur_symbol`, `ratio1`, `ratio2`, `domains_allowed`, `bonus`, `captcha`, `anticheat`, `metakeys`, `metadesc`, `version`) VALUES
('yoursite@email.com', 'Banner Exchange Manager', 'http://localhost/exchange', '-  -', 0, 0, '10', 'youpaypal@address.com', 1, 3, 1, 'USD', '$', 2, 1, 'com|net|org', 1000, 1, 1, 'keywords,separated,by,coma', 'Sitewide Meta Description', 'v 1.00');

-- --------------------------------------------------------

--
-- Table structure for table `transactions`
--

CREATE TABLE IF NOT EXISTS `transactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `txn_id` varchar(40) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `amount` int(11) NOT NULL DEFAULT '0',
  `value` double(16,2) NOT NULL DEFAULT '0.00',
  `user_id` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `credit_type` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `transactions`
--

INSERT INTO `transactions` (`id`, `txn_id`, `description`, `amount`, `value`, `user_id`, `created`, `credit_type`) VALUES
(1, '', 'Purchased Impressions', 1000, 8.00, 2, '2010-04-21 10:33:30', 0),
(2, '', 'Signup Bonus', 1000, 8.00, 3, '2010-04-21 01:16:04', 0),
(3, '', 'Added by admin', 500, 4.00, 2, '2010-04-21 02:56:52', 0),
(4, '', 'Signup Bonus', 1000, 8.00, 2, '2010-04-22 12:31:22', 0),
(5, '', 'Signup Bonus', 1000, 8.00, 1, '2010-04-23 10:11:09', 0),
(6, '', 'New Transaction', -125, 0.00, 4, '2010-04-27 18:15:06', 0);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `state` varchar(255) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `credits` bigint(20) NOT NULL DEFAULT '0',
  `token` varchar(100) NOT NULL DEFAULT '0',
  `cookie_id` varchar(100) NOT NULL DEFAULT '0',
  `last_ip` varchar(20) DEFAULT NULL,
  `created` datetime DEFAULT '0000-00-00 00:00:00',
  `last_access` datetime DEFAULT '0000-00-00 00:00:00',
  `userlevel` tinyint(1) NOT NULL DEFAULT '1',
  `newsletter` tinyint(1) NOT NULL DEFAULT '0',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `email`, `password`, `name`, `address`, `city`, `state`, `country`, `url`, `credits`, `token`, `cookie_id`, `last_ip`, `created`, `last_access`, `userlevel`, `newsletter`, `active`) VALUES
(1, 'admin', 'admin@myadminmail.com', '21232f297a57a5a743894a0e4a801fc3', 'Web Master', 'NA', 'NA', 'Ontario', 'Canada', 'http://www.wojocms.com', 1000, '0', '860f61b3271209ec81166bad22c7a96d', '127.0.0.1', '2010-04-29 11:58:31', '2010-05-05 17:26:31', 9, 0, 1),
(2, 'sammy', 'sammy@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'Sammy M.', 'NA', 'NA', 'Alberta', 'Canada', 'http://www.wojocms.com', 1000, '0', '0', NULL, '2010-04-30 11:58:31', '0000-00-00 00:00:00', 1, 0, 1),
(3, 'victor', 'victor@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'Victor K.', 'NA', 'NA', 'Manitoba', 'Canada', 'http://www.wojocms.com', 1000, '0', '0', NULL, '2010-04-30 11:58:31', '0000-00-00 00:00:00', 1, 0, 1),
(4, 'evan', 'evan@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'Evan L.', 'NA', 'NA', 'Nova Scotia', 'Canada', 'http://www.wojocms.com', 635, '0', 'afa8efe6fa09f1483f25902a8869503d', '127.0.0.1', '2010-04-30 11:58:31', '2010-05-05 15:47:33', 1, 0, 0),
(5, 'mike', 'mike@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'Mike D.', 'NA', 'NA', 'B.C.', 'Canada', 'http://www.wojocms.com', 450, '0', '0', NULL, '2010-04-30 11:58:31', '0000-00-00 00:00:00', 1, 0, 1),
(6, 'ronni', 'ronni@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'Ronald G.', 'NA', 'NA', 'Ontario', 'Canada', 'http://www.wojocms.com', 1000, '0', '0', NULL, '2010-04-30 11:58:31', '0000-00-00 00:00:00', 1, 0, 0),
(7, 'john', 'john@testmail1.com', '5f4dcc3b5aa765d61d8327deb882cf99', 'John M.', 'NA', 'NA', 'Quebec', 'Canada', 'http://www.wojocms.com', 1000, '0', '0', NULL, '2010-04-30 11:58:31', '0000-00-00 00:00:00', 1, 0, 1);
