<?php
  /**
   * Transactions
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: transactions.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php $total = $cmp->getTransactionSumById($session->userinfo['id']);?>
<?php $transrow = $cmp->getUserTransactions();?>

<h1><span>Campaign Management</span> &rsaquo; Transactions</h1>
<p class="info">Here you can view your transaction records.</p>
<?php display_msg (); ?>
<div class="inner">
  <table cellpadding="0" cellspacing="0" class="box">
    <thead>
      <tr>
        <td colspan="5">View Transactions</td>
        <td align="right" style="background-image:none">Impressions:<?php echo $total;?></td>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <td colspan="6">You have <span class="red"><strong><?php echo $session->userinfo["credits"];?></strong></span> undistributed impressions in your account <a href="index.php?do=impressions">Manage Impressions</a></td>
      </tr>
    </tfoot>
    <tr>
      <th width="20">#</th>
      <th>Impressions</th>
      <th>Amount</th>
      <th>Transaction Date</th>
      <th colspan="2">Description</th>
    </tr>
    <tbody>
      <?php if($transrow == 0):?>
      <tr>
        <td colspan="6"><div class="msgAlert"><span>Alert!</span>You don't have any transactions yet...</div></td>
      </tr>
      <?php else:?>
      <?php foreach ($transrow as $row):?>
      <tr>
        <td><?php echo $row['id'];?>.</td>
        <td><?php if($row["amount"]>0):
				echo $row["amount"];
					  else:
				echo "<span class=\"red\">(";
					   printf("%d",$row["amount"]*(-1));
				echo ")</span>";
				endif;
		   ?></td>
        <td><?php echo $setup->set['cur_symbol'].$row['value'].$setup->set['currency'];?></td>
        <td><?php echo $row['date'];?></td>
        <td colspan="2"><?php echo $row['description'];?></td>
      </tr>
      <?php endforeach;?>
      <?php unset($row);?>
      <?php endif;?>
    </tbody>
  </table>
</div>