<?php
  /**
   * Banner Sizes
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: bannersize.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(get("action") && get('action') == "edit"):?>
<?php $id = $_GET['id'];?>
<?php $row = $setup->getBannerSizeById($id);?>
<?php if(isset($_POST['submit'])):?>
<?php $setup->updateBannerSize($id);?>
<?php endif;?>
<h1><span>System Setup</span> &rsaquo; Edit Banner Sizes</h1>
<p class="info">If you change the banner size then every member must get a new code from their Get Code sections for this particular size.<br />All the existing banners for this size will become distorted<br />Fields marked <?php echo required();?> are required.</p>
<?php display_msg (); ?>
<div class="inner">
  <form action="" method="post" id="admin_form" name="admin_form" enctype="multipart/form-data">
    <table cellspacing="0" cellpadding="0" class="box">
      <thead>
        <tr>
          <td colspan="4">Editing banner size &rsaquo; <?php echo $row['default_banner'];?></td>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <td colspan="4"><input name="submit" type="submit" value="Update Banner" class="button"/>
            <input name="cancel" type="button" value="Cancel"  class="button-alt" onclick="window.location='settings.php?do=bannersize';"/></td>
        </tr>
      </tfoot>
      <tbody>
        <tr>
          <td width="150"><strong>Banner Width:</strong></td>
          <td><input name="width" type="text"  class="inputbox" value="<?php echo $row['width'];?>" size="5" />
            px.
            <?php required();?></td>
        </tr>
        <tr>
          <td><strong>Banner Height:</strong></td>
          <td><input name="height" type="text"  class="inputbox" value="<?php echo $row['height'];?>" size="5" />
            px.
            <?php required();?></td>
        </tr>
        <tr>
          <td><strong>Banner Image:</strong></td>
          <td><img src="<?php echo UPLOADS."/bannersize/".$row['default_banner'];?>" /></td>
        </tr>
        <tr>
          <td><strong>Replace Banner:</strong></td>
          <td><input name="default_banner" type="file" class="inputbox" size="40" /></td>
        </tr>
      </tbody>
    </table>
    <input name="update_bannersize" type="hidden" value="1" />
  </form>
</div>

<?php else:?>
<?php if(isset($_POST['submit'])):?>
<?php $setup->addBannerSize();?>
<?php endif;?>
<h1><span>System Setup</span> &rsaquo; Banner Sizes</h1>
<p class="info">User can upload their Banners sizes shown below.<br />
  To add a new Size just enter related information in "Add Banner Size" eg.<br />
  if you want to add a size '100x40 px' then enter 100 in width field and 40 in height field.</p>
<?php display_msg (); ?>
<div class="inner">
<table cellpadding="0" cellspacing="0" class="box">
  <thead>
    <tr>
      <td colspan="4">Manage Banner Sizes</td>
    </tr>
  </thead>
  <tr>
    <th width="20">#</th>
    <th>Banner Size</th>
    <th>Banner Image</th>
    <th class="right">Actions</th>
  </tr>
  <tfoot>
    <tr>
      <td colspan="4"><a href="#" id="showHidePanel" class="button-alt">Add Banner Size</a></td>
    </tr>
    <tr id="showPanel">
      <td colspan="4"><form action="" method="post" id="admin_form" name="admin_form" enctype="multipart/form-data">
          <strong>Width:</strong>
          <input name="width" type="text" class="inputbox" size="4" />
          <strong>Height:</strong>
          <input name="height" type="text" class="inputbox" size="4" />
          <input name="default_banner" type="file" size="35" class="inputbox" />
          <input name="submit" type="submit" value="Submit"  class="button"/>
          <input name="add_bannersize" type="hidden" value="1" />
        </form></td>
    </tr>
  </tfoot>
  <tbody>
    <?php if($banners == 0):?>
    <tr>
      <td colspan="4"><div class="msgAlert"><span>Alert!</span>You don't have any banners yet...</div></td>
    </tr>
    <?php else:?>
    <?php foreach ($banners as $row):?>
    <tr>
      <td><?php echo $row['id'];?>.</td>
      <td><?php echo $row['width'];?>x<?php echo $row['height'];?>px</td>
      <td><img src="<?php echo UPLOADS."/bannersize/".$row['default_banner'];?>" /></td>
      <td class="right"><a href="settings.php?do=bannersize&amp;action=edit&amp;id=<?php echo $row['id'];?>"><img src="images/edit.png" title="Edit Banner Size"/></a> <a href="#" class="delete" id="item_<?php echo $row['id'];?>"><img src="images/delete.png" class="tooltip" title="Delete Banner Size" /></a></td>
    </tr>
    <?php endforeach;?>
    <?php unset($row);?>
    <?php endif;?>
  </tbody>
</table>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').click(function (e) {
        if (confirm("Are you sure you want to delete")) {
            e.preventDefault();
            var parent = $(this).parent().parent();
            $.ajax({
                type: 'post',
                url: "ajax/process.php",
                data: 'deleteBannerSize=' + $(this).attr('id').replace('item_', ''),
                beforeSend: function () {
                    parent.animate({
                        'backgroundColor': '#FFBFBF'
                    }, 400);
                },
                success: function () {
                    parent.fadeOut(400, function () {
                        parent.remove();
                    });
                }
            });
        }
    });
	
    $('#showPanel').hide();
    $('a#showHidePanel').click(function () {
        $('#showPanel').customToggle("fast", function () {});
        return false;
    });
});
// ]]>
</script>
<?php endif;?>