<?php
  /**
   * Campaign Statistics
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: stats.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');
?>
<?php if(!get('id')) redirect_to("campaigns.php?do=campaign");?>
<?php if(isset($_GET['id']) && $_GET['id']<>""):?>
<?php $id = intval($_GET["id"]);?>
<?php $row = $cmp->getCampaignById($id);?>
<?php endif;?>

<h1><span>Campaigns Management</span> &rsaquo; Campaign Statistics</h1>
<p class="info">Here you can view your campaign statistics</p>
<?php display_msg (); ?>
<div class="inner">
  <table cellpadding="0" cellspacing="0" class="box">
    <thead>
      <tr>
        <td colspan="3">View Campaign Statistics For <?php echo $row['name'];?></td>
      </tr>
    </thead>
    <tr>
      <th colspan="3">Stats: Clicks / Impressions</th>
    </tr>
    <tbody>
      <tr>
        <td>&nbsp;</td>
        <td><strong>Received</strong></td>
        <td><strong>Generated</strong></td>
      </tr>
      <tr>
        <td width="200"><strong>Today:</strong></td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks",$id,"=0");?>
          <?php $display = $cmp->getCampaignDisplays("displays",$id,"=0");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : "";?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks_generated",$id,"=0");?>
          <?php $display = $cmp->getCampaignDisplays("displays_generated",$id,"=0");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : "";?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <tr>
        <td><strong>Yesterday:</strong></td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks",$id,"=1");?>
          <?php $display = $cmp->getCampaignDisplays("displays",$id,"=1");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks_generated",$id,"=1");?>
          <?php $display = $cmp->getCampaignDisplays("displays_generated",$id,"=1");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <tr>
        <td><strong>Last 7 Days:</strong></td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks",$id,"<=7");?>
          <?php $display = $cmp->getCampaignDisplays("displays",$id,"<=7");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks_generated",$id,"<=7");?>
          <?php $display = $cmp->getCampaignDisplays("displays_generated",$id,"<=7");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <tr>
        <td><strong>Last 14 Days:</strong></td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks",$id,"<=14");?>
          <?php $display = $cmp->getCampaignDisplays("displays",$id,"<=14");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php $clicks = $cmp->getCampaignClicks("clicks_generated",$id,"<=14");?>
          <?php $display = $cmp->getCampaignDisplays("displays_generated",$id,"<=14");?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <tr>
        <td><strong>Last Year:</strong></td>
        <td><?php $clicks = countEntries("clicks","campaign_id","$id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php $display = countEntries("displays","campaign_id","$id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php $clicks = countEntries("clicks_generated","campaign_id","$id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php $display = countEntries("displays_generated","campaign_id","$id AND DATE_FORMAT(created,'%Y')=".date('Y',time())-1);?>
          <?php if($clicks or $display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <tr>
        <th colspan="3">This Year: Clicks / Impressions</th>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td><strong>Received</strong></td>
        <td><strong>Generated</strong></td>
      </tr>
      <?php for($i=1;$i<=12;$i++):?>
      <?php $date=date('Y',time()).$i; ?>
      <?php $display = countEntries("displays","campaign_id","$id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $clicks = countEntries("clicks","campaign_id","$id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $display_gen = countEntries("displays_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <?php $clicks_gen = countEntries("clicks_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%c')='".$date);?>
      <tr>
        <td><strong>
          <?php
          switch ($i)
              : case 1:
              echo "January";
          break;
          case 2:
              echo "February";
              break;
          case 3:
              echo "March";
              break;
          case 4:
              echo "April";
              break;
          case 5:
              echo "May";
              break;
          case 6:
              echo "June";
              break;
          case 7:
              echo "July";
              break;
          case 8:
              echo "August";
              break;
          case 9:
              echo "September";
              break;
          case 10:
              echo "October";
              break;
          case 11:
              echo "November";
              break;
          case 12:
              echo "December";
              break;
              endswitch;
        ?>
          </strong></td>
        <td><?php if($clicks||$display):?>
          <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
        <td><?php if($clicks_gen||$display_gen):?>
          <?php echo ($clicks_gen) ? $clicks_gen : $setup->set["null_char"];?> / <?php echo ($display_gen) ? $display_gen : $setup->set["null_char"];?>
          <?php else:?>
          <?php echo $setup->set["null_char"];?>
          <?php endif;?>
        </td>
      </tr>
      <?php endfor;?>
    </tbody>
  </table>
  <table cellpadding="0" cellspacing="0" class="box">
    <tr>
      <th colspan="6">This Month: Clicks / Impressions Received</th>
    </tr>
    <?php
        for($i=1;$i<=10;$i++):
        $date1=date("Ym",time()).$i;
        $date2=date("Ym",time()).($i+10);
        $date3=date("Ym",time()).($i+20);
        ?>
    <?php $display = countEntries("displays","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
    <?php $clicks = countEntries("clicks","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
    <?php $display2 = countEntries("displays","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date2);?>
    <?php $clicks2 = countEntries("clicks","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date2);?>
    <?php $display3 = countEntries("displays","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date3);?>
    <?php $clicks3 = countEntries("clicks","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date3);?>
    <tr>
      <td width="17%" align="right"><strong><?php echo $i;?>.</strong></td>
      <td width="17%"><?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
      <td width="17%" align="right"><strong><?php echo $i+10;?>.</strong></td>
      <td width="17%"><?php if($clicks2 or $display2):?>
        <?php echo ($clicks2) ? $clicks2 : $setup->set["null_char"];?> / <?php echo ($display2) ? $display2 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
      <td width="17%" align="right"><strong><?php echo $i+20;?>.</strong></td>
      <td><?php if($clicks3 or $display3):?>
        <?php echo ($clicks3) ? $clicks3 : $setup->set["null_char"];?> / <?php echo ($display3) ? $display3 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
    </tr>
    <?php endfor;?>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td width="17%" align="right"><strong>31.</strong></td>
      <td><?php $date1=date("Ym",time())."31";?>
        <?php $display = countEntries("displays","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
        <?php $clicks = countEntries("clicks","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
        <?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
    </tr>
  </table>
  <table cellpadding="0" cellspacing="0" class="box">
    <tr>
      <th colspan="6">This Month: Clicks / Impressions Generated</th>
    </tr>
    <?php
        for($i=1;$i<=10;$i++):
		$date1=date("Ym",time()).$i;
		$date2=date("Ym",time()).($i+10);
		$date3=date("Ym",time()).($i+20);
        ?>
    <?php $display = countEntries("displays_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
    <?php $clicks = countEntries("clicks_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
    <?php $display2 = countEntries("displays_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date2);?>
    <?php $clicks2 = countEntries("clicks_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date2);?>
    <?php $display3 = countEntries("displays_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date3);?>
    <?php $clicks3 = countEntries("clicks_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date3);?>
    <tr>
      <td width="17%" align="right"><strong><?php echo $i;?>.</strong></td>
      <td width="17%"><?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
      <td width="17%" align="right"><strong><?php echo $i+10;?>.</strong></td>
      <td width="17%"><?php if($clicks2 or $display2):?>
        <?php echo ($clicks2) ? $clicks2 : $setup->set["null_char"];?> / <?php echo ($display2) ? $display2 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
      <td width="17%" align="right"><strong><?php echo $i+20;?>.</strong></td>
      <td><?php if($clicks3 or $display3):?>
        <?php echo ($clicks3) ? $clicks3 : $setup->set["null_char"];?> / <?php echo ($display3) ? $display3 : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
    </tr>
    <?php endfor;?>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td width="17%" align="right"><strong>31.</strong></td>
      <td><?php $date1=date("Ym",time())."31";?>
        <?php $display = countEntries("displays_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
        <?php $clicks = countEntries("clicks_generated","campaign_id","$id' AND DATE_FORMAT(created,'%Y%m%e')='".$date1);?>
        <?php if($clicks or $display):?>
        <?php echo ($clicks) ? $clicks : $setup->set["null_char"];?> / <?php echo ($display) ? $display : $setup->set["null_char"];?>
        <?php else:?>
        <?php echo $setup->set["null_char"];?>
        <?php endif;?>
      </td>
    </tr>
  </table>
</div>