<?php
  /**
   * Process.php
   *
   * @package Banner Exchange Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: process.php,v 1.10 2010-04-30 14:20:26 gewa Exp $
   */
  define("_VALID_PHP", true);
  
  require_once("../init.php");
?>
<?php
  /* Check Username*/
  if (isset($_POST['username']) && !empty($_POST['username']))
      : $username = sanitize($_POST['username']);
  
  $sql = $db->query("SELECT username FROM users WHERE username = '" . $db->escape($username) . "'");
  
  if ($db->numrows($sql) == 1)
      : echo '<div class="msgAlert"><span>Alert!</span>Username Taken</div>';
  else
      : echo '<div class="msgOk"><span>Success!</span>Username Available</div>';
  endif;
  
  endif;
?>
<?php
  /* Delete Campaign */
  if (isset($_POST['deleteCampaign']))
      : if (intval($_POST['deleteCampaign']) == 0 || empty($_POST['deleteCampaign']))
      : redirect_to("index.php?do=campaings");
  endif;


  $id = intval($_POST['deleteCampaign']);
  $row = $cmp->getCampaignById($id);
  if($row['user_id'] != $session->userinfo['id']) redirect_to("index.php?do=campaings"); 
  
  $db->delete("campaigns", "id='" . $id . "'");
  
  endif;
?>
<?php
  /* Delete Campaign Banner */
  if (isset($_POST['deleteCampaignBanner']))
      : if (intval($_POST['deleteCampaignBanner']) == 0 || empty($_POST['deleteCampaignBanner']))
      : redirect_to($_SERVER['HTTP_REFERER']);
  endif;
  
  $id = intval($_POST['deleteCampaignBanner']);
  $cid = getValue("campaign_id", "ads", "id = ".$id);
  $row = $cmp->getCampaignById($cid);
  if($row['user_id'] != $session->userinfo['id']) redirect_to("index.php?do=campaings"); 
  
  $bannerimg = getValue("bannerurl", "ads", "id = ".$id);
  
  $db->delete("ads", "id='" . $id . "'");
  @unlink(BMPATH . 'uploads/banners/'.$bannerimg);
  
  endif;
?>
<?php
  /* Process Contact Form */
  if (isset($_POST['send_contact']) && $_POST['send_contact'] == 1)
      : $msgs = array();
  $post = (!empty($_POST)) ? true : false;
  
  if ($post)
      : if ($_POST['email'] == "")
      $msgs['email'] = "Please enter valid email address";
  
  if ($_POST['email'] && !$session->isValidEmail($_POST['email']))
      $msgs['email'] = "Please enter valid email address!";
  
  if (!$_POST['message'] || strlen($_POST['message']) < 15)
      $msgs['message'] = "Please enter your message. It should have at least 15 characters.";
  
  if ($_POST['name'] == "")
      $msgs['name'] = "Please enter your name.";
  
  $valid_pin = $session->check_pin($_POST['pin_generated'], $_POST['pin_submitted']);
  if (!$valid_pin)
      $msgs['pin_submitted'] = "The pin code you have entered is incorrect";
  
  if (empty($msgs))
      : $message = strip_tags($_POST['message']);
  $name = sanitize($_POST['name']);
  $mailsubject = $_POST['subject'];
  $email = $_POST['email'];
  $ip = $_SERVER['REMOTE_ADDR'];
  
  require_once(BMPATH . "lib/class_mailer.php");
  
  $mail_template = $setup->getEmailTemplateById(9);
  
  $body = str_replace(array('[MESSAGE]', '[NAME]', '[EMAIL]', '[SUBJECT]', '[IP]'), 
					  array($message, $name, $email, $mailsubject, $ip), $mail_template['body']);
  
  $mail = $mailer->sendMail($setup->set['site_email'], $mail_template['subject'], $body);
  if ($mail):
      echo 'OK';
      endif;
      else
          : $showMsg = "<div class=\"msgError\"><span>Your Submission could not be sent due to the following error(s):</span><ul class=\"error\">";
      
      foreach ($msgs as $msg)
          : $showMsg .= "<li>" . $msg . "</li>\n";
      endforeach;
      $showMsg .= '</ul></div>';
      endif;
      display_msg();
      endif;
      endif;
?>