<?php
  /**
   * Contact
   *
   * @package Membership Subscription Manager
   * @author wojocms.com
   * @copyright 2010
   * @version $Id: contact.php,v 1.10 2010-02-01 14:20:26 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('Direct access to this location is not allowed.');

  $session->unlink_pin();
  $session->set('pin_value', md5(rand(2, 99999999)));
  $generated_pin = $session->generate_pin($session->value('pin_value'));
  $pin_image_output = $session->show_pin($session->value('pin_value'), $generated_pin);
?>

<h1>Need to contact us?</h1>
<p class="info">Please keep in mind that while we do review all emails that come in, we are not able to respond to all of them.<br />
  Fields marked <?php required();?> are required.</p>
<?php display_msg();?>
  <div id="response"></div>
<div class="inner">
  <div id="fullform" class="roundbox">
    <form action="#" name="conForm" id="conForm">
      <table cellspacing="0" cellpadding="0" class="box">
        <tr>
          <td width="200"><strong>Your Name:</strong></td>
          <td><input name="name" id="name" class="inputbox" size="45" value="" type="text" />
            <?php required();?></td>
        </tr>
        <tr>
          <td><strong>
            <label for="email">Email Address:</label>
            </strong></td>
          <td><input name="email" id="email" class="inputbox" size="45" value="" type="text" />
            <?php required();?></td>
        </tr>
        <tr>
          <td><strong>Subject:</strong></td>
          <td><select name="subject" class="select">
              <option value="a">What's on your mind?</option>
              <option value="b">--------------------------------------------------</option>
              <option value="Compliment">Compliment</option>
              <option value="Criticism">Criticism</option>
              <option value="Suggestion">Suggestion</option>
              <option value="Advertise">Advertise</option>
              <option value="Support">Support</option>
              <option value="Other">Other</option>
            </select></td>
        </tr>
        <tr>
          <td><strong>Your Message:</strong></td>
          <td><textarea name="message" cols="45" rows="8" class="inputbox" id="message" style="height: 100px; width: 280px;"></textarea>
            <?php required();?></td>
        </tr>
        <?php if($setup->set['captcha'] == 1): ?>
        <tr>
          <td><strong>Enter Capcha Code:</strong></td>
          <td colspan="2"><input name="pin_submitted" type="text" id="pin_submitted" class="inputbox" size="15"  />
            <?php required();?>
            <?php echo $pin_image_output;?>
            <input type="hidden" name="pin_generated" value="<?php echo $session->value('pin_value');?>" /></td>
        </tr>
        <?php endif;?>
        <tr>
          <td colspan="2"><input class="button" name="submit" value="Submit Inquiry" type="submit" />
            <span id="loading"></span></td>
        </tr>
      </table>
      <input name="send_contact" type="hidden" value="1" />
    </form>
  </div>
</div>
<script type="text/javascript">
// <![CDATA[
$(document).ready(function () {
    $('#loading').hide().ajaxStart(function () {
        $(this).show();
    }).ajaxStop(function () {
        $(this).fadeOut();
    });
    $("#conForm").submit(function () {
        var str = $(this).serialize();
        $.ajax({
            type: "POST",
            url: "<?php echo SITEURL;?>/ajax/process.php",
            data: str,
            success: function (msg) {
                $("#response").ajaxComplete(function(event, request, settings) {
				if(msg  == 'OK') {
					result = '<div class="msgOk"><span>Success!</span>Thank you for contacting us<\/div>';
				$("#fullform").hide();
				} else {
				result = msg;
				}
               $(this).html(result);
                    });

                }

            });
        return false;
    });
});
// ]]>
</script>